Bug 439681 - kwin_wayland crashed in KWin::PipeWireStream::recordFrame() when I repeatedly hovered over grouped and ungrouped apps in task manager
Summary: kwin_wayland crashed in KWin::PipeWireStream::recordFrame() when I repeatedly...
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Plasma
Component: wayland-generic (show other bugs)
Version: git master
Platform: Neon Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
: 449307 (view as bug list)
Depends on:
Blocks:
 
Reported: 2021-07-09 13:14 UTC by Patrick Silva
Modified: 2022-02-09 07:52 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.88


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2021-07-09 13:14:37 UTC
SUMMARY
I had 3 windows of Opera internet browser grouped in task manager, one of them was playing a video on youtube. I also had a single instance of other apps (konsole and kinfo center, I guess). I hovered grouped Opera and repeatedly moved cursor on all apps in task manager. At some point kwin_wayland crashed and all runnijg apps were aborted.

Operating System: KDE neon Unstable Edition
KDE Plasma Version: 5.22.80
KDE Frameworks Version: 5.84.0
Qt Version: 5.15.3
Graphics Platform: Wayland


Thread 10 (Thread 0x7f7b3aefa700 (LWP 17780)):
#0  0x00007f7b606335ce in epoll_wait (epfd=120, events=events@entry=0x7f7b3aef98f0, maxevents=32, timeout=-1) at ../sysdeps/unix/sysv/linux/epoll_wait.c:30
#1  0x00007f7b3804aacb in impl_pollfd_wait (object=<optimized out>, pfd=<optimized out>, ev=0x7f7b3aef9aa0, n_ev=<optimized out>, timeout=<optimized out>) at ../spa/plugins/support/system.c:155
#2  0x00007f7b3803d4a4 in loop_iterate (object=0x55cfe5222958, timeout=-1) at ../spa/plugins/support/loop.c:292
#3  0x00007f7b60920e70 in do_loop (user_data=0x55cfe4bcdfd0) at ../src/pipewire/data-loop.c:79
#4  0x00007f7b609ba609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#5  0x00007f7b60633293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 9 (Thread 0x7f7b4a1ba700 (LWP 1130)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55cfe3b58348) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55cfe3b582f8, cond=0x55cfe3b58320) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55cfe3b58320, mutex=0x55cfe3b582f8) at pthread_cond_wait.c:647
#3  0x00007f7b4b717e6b in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#4  0x00007f7b4b717a6b in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#5  0x00007f7b609ba609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f7b60633293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 0x7f7b3a633700 (LWP 1132)):
#0  0x00007f7b60626aff in __GI___poll (fds=0x7f7b28004e60, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f7b5e7f036e in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7f7b28004e60, timeout=<optimized out>, context=0x7f7b28000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7f7b28000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007f7b5e7f04a3 in g_main_context_iteration (context=0x7f7b28000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007f7b60e15fb2 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f7b28000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007f7b60dba25b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f7b3a632cc0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007f7b60bd3c22 in QThread::exec() (this=this@entry=0x55cfe45abc60) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007f7b5f851559 in QQmlThreadPrivate::run() (this=0x55cfe45abc60) at qml/ftw/qqmlthread.cpp:155
#8  0x00007f7b60bd4dbc in QThreadPrivate::start(void*) (arg=0x55cfe45abc60) at thread/qthread_unix.cpp:329
#9  0x00007f7b609ba609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007f7b60633293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7f7b5888e700 (LWP 1127)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55cfe3b58348) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55cfe3b582f8, cond=0x55cfe3b58320) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55cfe3b58320, mutex=0x55cfe3b582f8) at pthread_cond_wait.c:647
#3  0x00007f7b4b717e6b in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#4  0x00007f7b4b717a6b in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#5  0x00007f7b609ba609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f7b60633293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7f7b4a9bb700 (LWP 1129)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55cfe3b58348) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55cfe3b582f8, cond=0x55cfe3b58320) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55cfe3b58320, mutex=0x55cfe3b582f8) at pthread_cond_wait.c:647
#3  0x00007f7b4b717e6b in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#4  0x00007f7b4b717a6b in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#5  0x00007f7b609ba609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f7b60633293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7f7b4b1bc700 (LWP 1128)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55cfe3b58348) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55cfe3b582f8, cond=0x55cfe3b58320) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55cfe3b58320, mutex=0x55cfe3b582f8) at pthread_cond_wait.c:647
#3  0x00007f7b4b717e6b in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#4  0x00007f7b4b717a6b in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#5  0x00007f7b609ba609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f7b60633293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7f7b5a7af700 (LWP 1125)):
#0  0x00007f7b60626aff in __GI___poll (fds=0x7f7b4c005240, nfds=2, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f7b5e7f036e in g_main_context_poll (priority=<optimized out>, n_fds=2, fds=0x7f7b4c005240, timeout=<optimized out>, context=0x7f7b4c000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7f7b4c000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007f7b5e7f04a3 in g_main_context_iteration (context=0x7f7b4c000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007f7b60e15fb2 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f7b4c000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007f7b60dba25b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f7b5a7aece0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007f7b60bd3c22 in QThread::exec() (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007f7b60bd4dbc in QThreadPrivate::start(void*) (arg=0x55cfe38f1560) at thread/qthread_unix.cpp:329
#8  0x00007f7b609ba609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007f7b60633293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7f7b5b05d700 (LWP 1124)):
#0  0x00007f7b60626aff in __GI___poll (fds=0x7f7b54044070, nfds=4, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f7b5e7f036e in g_main_context_poll (priority=<optimized out>, n_fds=4, fds=0x7f7b54044070, timeout=<optimized out>, context=0x7f7b54001ce0) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7f7b54001ce0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007f7b5e7f04a3 in g_main_context_iteration (context=0x7f7b54001ce0, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007f7b60e15fb2 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f7b54000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007f7b60dba25b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f7b5b05ccb0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007f7b60bd3c22 in QThread::exec() (this=this@entry=0x7f7b62ab6d80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007f7b62a32f4b in QDBusConnectionManager::run() (this=0x7f7b62ab6d80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:179
#8  0x00007f7b60bd4dbc in QThreadPrivate::start(void*) (arg=0x7f7b62ab6d80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:329
#9  0x00007f7b609ba609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007f7b60633293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7f7b59fae700 (LWP 1126)):
#0  0x00007f7b60626aff in __GI___poll (fds=0x7f7b50004630, nfds=2, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f7b5e7f036e in g_main_context_poll (priority=<optimized out>, n_fds=2, fds=0x7f7b50004630, timeout=<optimized out>, context=0x7f7b50000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7f7b50000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007f7b5e7f04a3 in g_main_context_iteration (context=0x7f7b50000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007f7b60e15fb2 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f7b50000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007f7b60dba25b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f7b59fadce0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007f7b60bd3c22 in QThread::exec() (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007f7b60bd4dbc in QThreadPrivate::start(void*) (arg=0x55cfe3909d10) at thread/qthread_unix.cpp:329
#8  0x00007f7b609ba609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007f7b60633293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7f7b5b98ad80 (LWP 1123)):
#0  0x00007f7b4b4aee12 in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#1  0x00007f7b4b4cda6e in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#2  0x00007f7b4b51d427 in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#3  0x00007f7b4b3d0893 in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#4  0x00007f7b4b310614 in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#5  0x00007f7b4b51bb13 in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#6  0x00007f7b4b51bcfa in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#7  0x00007f7b4b51dd6c in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#8  0x000055cfe2ba6f64 in KWin::PipeWireStream::recordFrame(KWin::GLTexture*, QRegion const&) (this=this@entry=0x55cfe54e2c80, frameTexture=0x55cfe54f8340, damagedRegion=...) at ./src/plugins/screencast/pipewirestream.cpp:372
#9  0x000055cfe2ba8e46 in KWin::WindowStream::bufferToStream() (this=0x55cfe54e2c80) at ./src/plugins/screencast/screencastmanager.cpp:81
#10 0x00007f7b60df277e in QtPrivate::QSlotObjectBase::call(QObject*, void**) (a=0x7ffd4cedace0, r=0x55cfe54e2c80, this=0x55cfe54b9f20) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:398
#11 doActivate<false>(QObject*, int, void**) (sender=0x55cfe3b5e710, signal_index=3, argv=0x7ffd4cedace0) at kernel/qobject.cpp:3886
#12 0x00007f7b62858978 in QHash<KWin::Toplevel*, KWin::Scene::Window*>::findNode(KWin::Toplevel* const&, unsigned int) const (h=0, akey=@0x7f7b6256a6f0: 0x55cfe4470860, this=0x7ffd4cedaedc) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qhash.h:924
#13 QHash<KWin::Toplevel*, KWin::Scene::Window*>::operator[](KWin::Toplevel* const&) (akey=@0x7f7b6256a6f0: 0x55cfe4470860, this=0x7ffd4cedaedc) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qhash.h:760
#14 KWin::Scene::createStackingOrder(QList<KWin::Toplevel*> const&) (this=0x7ffd4cedae9c, toplevels=...) at ./src/scene.cpp:477
#15 0x000055cfe54a3470 in  ()
#16 0x000055cfe54f7c10 in  ()
#17 0x00007f7b629ff708 in typeinfo for KWin::AbstractClient () at /lib/x86_64-linux-gnu/libkwin.so.5
#18 0x00007f7b629ff690 in typeinfo for KWin::Toplevel () at /lib/x86_64-linux-gnu/libkwin.so.5
#19 0xffffffff00001fa1 in  ()
#20 0x000055cf00001fa1 in  ()
#21 0x00007f7b614b130e in QRegion::intersected(QRect const&) const (this=<optimized out>, r=...) at painting/qregion.cpp:4208
#22 0x00007ffd4cedaee0 in  ()
#23 0x000055cfe43bf090 in  ()
#24 0x00007ffd4cedaea8 in  ()
#25 0x00007ffd4cedaea0 in  ()
#26 0x000055cfe3b5e740 in  ()
#27 0x00007ffd4cedafa0 in  ()
#28 0x00007ffd4cedaeb0 in  ()
#29 0x3ff0000000000000 in  ()
#30 0x00007f7b62a18c68 in KWin::ScreenEdges::s_self () at /lib/x86_64-linux-gnu/libkwin.so.5
#31 0x00000000e390396e in  ()
#32 0x0000000860be05d5 in  ()
#33 0x00007f7b6170b6a0 in QRegion::shared_empty () at /lib/x86_64-linux-gnu/libQt5Gui.so.5
#34 0x00007f7b6170b6a0 in QRegion::shared_empty () at /lib/x86_64-linux-gnu/libQt5Gui.so.5
#35 0x000055cfe5488cd0 in  ()
#36 0x00007f7b60be0691 in QArrayData::allocate(unsigned long, unsigned long, unsigned long, QFlags<QArrayData::AllocationOption>) (objectSize=<optimized out>, alignment=140167747872335, capacity=94351378184016, options=...) at tools/qarraydata.cpp:218
#37 0x00007f7b5a81ce6b in QMapNode<KWin::DrmOutput*, QJsonObject>::doDestroySubTree(std::integral_constant<bool, true>) (this=0x55cfe43bf090, this=0x55cfe43bf090) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qmap.h:134
#38 QMapNode<KWin::DrmOutput*, QJsonObject>::destroySubTree() (this=0x55cfe43bf090) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qmap.h:126
#39 QMapNode<KWin::DrmOutput*, QJsonObject>::doDestroySubTree(std::integral_constant<bool, true>) (this=0x55cfe43bf090, this=0x55cfe43bf090) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qmap.h:137
#40 QMapNode<KWin::DrmOutput*, QJsonObject>::destroySubTree() (this=0x7f7b6170b6a0 <QRegion::shared_empty>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qmap.h:126
#41 QMapNode<KWin::DrmOutput*, QJsonObject>::doDestroySubTree(std::integral_constant<bool, true>) (this=0x55cfe43bf090, this=0x55cfe43bf090) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qmap.h:139
#42 QMapNode<KWin::DrmOutput*, QJsonObject>::destroySubTree() (this=<optimized out>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qmap.h:126
#43 QMapNode<KWin::DrmOutput*, QJsonObject>::doDestroySubTree(std::integral_constant<bool, true>) (this=0x55cfe43bf090, this=0x55cfe43bf090) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qmap.h:139
#44 QMapNode<KWin::DrmOutput*, QJsonObject>::destroySubTree() (this=<optimized out>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qmap.h:126
#45 QMapNode<KWin::DrmOutput*, QJsonObject>::doDestroySubTree(std::integral_constant<bool, true>) (this=0x55cfe43bf090, this=0x55cfe43bf090) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qmap.h:139
#46 QMapNode<KWin::DrmOutput*, QJsonObject>::destroySubTree() (this=<optimized out>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qmap.h:126
#47 QMapNode<KWin::DrmOutput*, QJsonObject>::doDestroySubTree(std::integral_constant<bool, true>) (this=0x55cfe43bf090, this=0x55cfe43bf090) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qmap.h:137
#48 QMapNode<KWin::DrmOutput*, QJsonObject>::destroySubTree() (this=0x0) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qmap.h:126
#49 QMapNode<KWin::DrmOutput*, QJsonObject>::doDestroySubTree(std::integral_constant<bool, true>) (this=0x55cfe43bf090, this=0x55cfe43bf090) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qmap.h:139
#50 QMapNode<KWin::DrmOutput*, QJsonObject>::destroySubTree() (this=<optimized out>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qmap.h:126
#51 QMapData<KWin::DrmOutput*, QJsonObject>::destroy() (this=0x2ff00000555) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qmap.h:249
#52 0x95842606de5f4400 in  ()
#53 0x00007ffd4cedaf98 in  ()
#54 0x00007f7b62a18fb0 in KWIN_CORE()::category () at /lib/x86_64-linux-gnu/libkwin.so.5
#55 0x00007ffd4cedaf98 in  ()
#56 0x000055cfe54d6a98 in  ()
#57 0x0000000000000000 in  ()
Comment 1 Nate Graham 2021-08-02 13:52:13 UTC
Relevant bits:


Thread 1 (Thread 0x7f7b5b98ad80 (LWP 1123)):
#0  0x00007f7b4b4aee12 in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#1  0x00007f7b4b4cda6e in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#2  0x00007f7b4b51d427 in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#3  0x00007f7b4b3d0893 in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#4  0x00007f7b4b310614 in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#5  0x00007f7b4b51bb13 in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#6  0x00007f7b4b51bcfa in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#7  0x00007f7b4b51dd6c in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#8  0x000055cfe2ba6f64 in KWin::PipeWireStream::recordFrame(KWin::GLTexture*, QRegion const&) (this=this@entry=0x55cfe54e2c80, frameTexture=0x55cfe54f8340, damagedRegion=...) at ./src/plugins/screencast/pipewirestream.cpp:372
#9  0x000055cfe2ba8e46 in KWin::WindowStream::bufferToStream() (this=0x55cfe54e2c80) at ./src/plugins/screencast/screencastmanager.cpp:81
#10 0x00007f7b60df277e in QtPrivate::QSlotObjectBase::call(QObject*, void**) (a=0x7ffd4cedace0, r=0x55cfe54e2c80, this=0x55cfe54b9f20) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:398
#11 doActivate<false>(QObject*, int, void**) (sender=0x55cfe3b5e710, signal_index=3, argv=0x7ffd4cedace0) at kernel/qobject.cpp:3886
#12 0x00007f7b62858978 in QHash<KWin::Toplevel*, KWin::Scene::Window*>::findNode(KWin::Toplevel* const&, unsigned int) const (h=0, akey=@0x7f7b6256a6f0: 0x55cfe4470860, this=0x7ffd4cedaedc) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qhash.h:924
#13 QHash<KWin::Toplevel*, KWin::Scene::Window*>::operator[](KWin::Toplevel* const&) (akey=@0x7f7b6256a6f0: 0x55cfe4470860, this=0x7ffd4cedaedc) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qhash.h:760
#14 KWin::Scene::createStackingOrder(QList<KWin::Toplevel*> const&) (this=0x7ffd4cedae9c, toplevels=...) at ./src/scene.cpp:477
#15 0x000055cfe54a3470 in  ()
#16 0x000055cfe54f7c10 in  ()
#17 0x00007f7b629ff708 in typeinfo for KWin::AbstractClient () at /lib/x86_64-linux-gnu/libkwin.so.5
#18 0x00007f7b629ff690 in typeinfo for KWin::Toplevel () at /lib/x86_64-linux-gnu/libkwin.so.5
Comment 2 Patrick Silva 2021-09-18 17:48:23 UTC
On Plasma 5.23 beta, Plasma crashes instead of kwin_wayland.

Operating System: Arch Linux
KDE Plasma Version: 5.22.90
KDE Frameworks Version: 5.86.0
Qt Version: 5.15.2
Kernel Version: 5.14.5-arch1-1 (64-bit)
Graphics Platform: Wayland
Comment 3 Patrick Silva 2021-09-24 14:12:46 UTC
(In reply to Patrick Silva from comment #2)
> On Plasma 5.23 beta, Plasma crashes instead of kwin_wayland.
> 
> Operating System: Arch Linux
> KDE Plasma Version: 5.22.90
> KDE Frameworks Version: 5.86.0
> Qt Version: 5.15.2
> Kernel Version: 5.14.5-arch1-1 (64-bit)
> Graphics Platform: Wayland

humm, panel disappears and my desktop becomes a black background without icons
but coredumpctl indicates no Plasma crash and I can't get a backtrace even attaching gdb to already running plasmashell process.
This occurs on both Arch (Plasma 5.23 beta) and neon unstable.
Comment 4 Vlad Zahorodnii 2021-09-24 14:21:32 UTC
#8  0x000055cfe2ba6f64 in KWin::PipeWireStream::recordFrame(KWin::GLTexture*, QRegion const&) (this=this@entry=0x55cfe54e2c80, frameTexture=0x55cfe54f8340, damagedRegion=...) at ./src/plugins/screencast/pipewirestream.cpp:372
#9  0x000055cfe2ba8e46 in KWin::WindowStream::bufferToStream() (this=0x55cfe54e2c80) at ./src/plugins/screencast/screencastmanager.cpp:81
#10 0x00007f7b60df277e in QtPrivate::QSlotObjectBase::call(QObject*, void**) (a=0x7ffd4cedace0, r=0x55cfe54e2c80, this=0x55cfe54b9f20) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:398
#11 doActivate<false>(QObject*, int, void**) (sender=0x55cfe3b5e710, signal_index=3, argv=0x7ffd4cedace0) at kernel/qobject.cpp:3886
#12 0x00007f7b62858978 in QHash<KWin::Toplevel*, KWin::Scene::Window*>::findNode(KWin::Toplevel* const&, unsigned int) const (h=0, akey=@0x7f7b6256a6f0: 0x55cfe4470860, this=0x7ffd4cedaedc) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qhash.h:924
#13 QHash<KWin::Toplevel*, KWin::Scene::Window*>::operator[](KWin::Toplevel* const&) (akey=@0x7f7b6256a6f0: 0x55cfe4470860, this=0x7ffd4cedaedc) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qhash.h:760
#14 KWin::Scene::createStackingOrder(QList<KWin::Toplevel*> const&) (this=0x7ffd4cedae9c, toplevels=...) at ./src/scene.cpp:477

I don't understand how kwin manages to jump from createStackingOrder() to recordFrame(). Either the debugger gets wrong backtrace or something's fishy with kwin binary.
Comment 5 Vlad Zahorodnii 2021-09-24 14:24:04 UTC
(In reply to Patrick Silva from comment #3)
> humm, panel disappears and my desktop becomes a black background without
> icons
> but coredumpctl indicates no Plasma crash and I can't get a backtrace even
> attaching gdb to already running plasmashell process.
> This occurs on both Arch (Plasma 5.23 beta) and neon unstable.

what's the exit code of plasmashell?
Comment 6 Patrick Silva 2021-09-24 14:37:10 UTC
(In reply to Vlad Zahorodnii from comment #5)
> (In reply to Patrick Silva from comment #3)
> > humm, panel disappears and my desktop becomes a black background without
> > icons
> > but coredumpctl indicates no Plasma crash and I can't get a backtrace even
> > attaching gdb to already running plasmashell process.
> > This occurs on both Arch (Plasma 5.23 beta) and neon unstable.
> 
> what's the exit code of plasmashell?

plasmashell gives me this output before the crash:

file:///usr/share/plasma/plasmoids/org.kde.panel/contents/ui/main.qml:18:1: QML DropArea (parent or ancestor of QQuickLayoutAttached): Binding loop detected for property "minimumWidth"
kf.plasma.quick: Couldn't create KWindowShadow for ToolTipDialog(0x55c1d3a98780)
kf.plasma.quick: Couldn't create KWindowShadow for ToolTipDialog(0x55c1d3a98780)
kf.plasma.quick: Couldn't create KWindowShadow for ToolTipDialog(0x55c1d3a98780)
error creating screencast "Failed to create PipeWire stream"
error creating screencast "Failed to create PipeWire stream"
error creating screencast "Failed to create PipeWire stream"
error creating screencast "Failed to create PipeWire stream"
error creating screencast "Failed to create PipeWire stream"
error creating screencast "Failed to create PipeWire stream"
error creating screencast "Failed to create PipeWire stream"
error creating screencast "Failed to create PipeWire stream"
error creating screencast "Failed to create PipeWire stream"
error creating screencast "Failed to create PipeWire stream"
error creating screencast "Failed to create PipeWire stream"
error creating screencast "Failed to create PipeWire stream"
error creating screencast "Failed to create PipeWire stream"
error creating screencast "Failed to create PipeWire stream"
error creating screencast "Failed to create PipeWire stream"
error creating screencast "Failed to create PipeWire stream"
error creating screencast "Failed to create PipeWire stream"
error creating screencast "Failed to create PipeWire stream"
error creating screencast "Failed to create PipeWire stream"
error creating screencast "Failed to create PipeWire stream"
error creating screencast "Failed to create PipeWire stream"
error creating screencast "Failed to create PipeWire stream"
error creating screencast "Failed to create PipeWire stream"
error creating screencast "Failed to create PipeWire stream"
error creating screencast "Failed to create PipeWire stream"
error creating screencast "Failed to create PipeWire stream"
error creating screencast "Failed to create PipeWire stream"
error creating screencast "Failed to create PipeWire stream"
error creating screencast "Failed to create PipeWire stream"
error creating screencast "Failed to create PipeWire stream"
error creating screencast "Failed to create PipeWire stream"
wl_display@1: error 1: invalid arguments for zwp_linux_buffer_params_v1@621.add
The Wayland connection experienced a fatal error: Invalid argument
Comment 7 Vlad Zahorodnii 2021-09-24 15:36:44 UTC
that's very interesting. can you please run plasmashell with WAYLAND_DEBUG=1?
Comment 8 Vlad Zahorodnii 2021-09-24 15:37:39 UTC
error creating screencast "Failed to create PipeWire stream"

is also interesting one. can you check whether https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/1079 fixes it?
Comment 9 Patrick Silva 2021-09-24 16:04:58 UTC
(In reply to Vlad Zahorodnii from comment #7)
> that's very interesting. can you please run plasmashell with WAYLAND_DEBUG=1?

$ plasmashell --replace WAYLAND_DEBUG=1
kf.plasma.quick: Applet preload policy set to 1
kf.coreaddons.desktopparser: Unable to find service type for service "KSysguard/SensorFace" listed in "/home/stalker/.local/share/ksysguard/sensorfaces/org.kde.ksysguard.systach//metadata.desktop"
kf.coreaddons.desktopparser: Unable to find service type for service "KSysguard/SensorFace" listed in "/home/stalker/.local/share/ksysguard/sensorfaces/org.kde.ksysguard.systach/metadata.desktop"
file:///usr/share/plasma/plasmoids/org.kde.plasma.systemmonitor/contents/ui/main.qml:43:5: QML MouseArea: Cannot anchor to an item that isn't a parent or sibling.
file:///usr/share/plasma/plasmoids/org.kde.plasma.systemmonitor/contents/ui/main.qml:41: TypeError: Cannot read property 'length' of undefined
file:///usr/share/plasma/plasmoids/org.kde.plasma.systemmonitor/contents/ui/main.qml:43:5: QML MouseArea: Cannot anchor to an item that isn't a parent or sibling.
file:///usr/share/plasma/plasmoids/org.kde.plasma.systemmonitor/contents/ui/main.qml:41: TypeError: Cannot read property 'length' of undefined
file:///usr/share/plasma/plasmoids/org.kde.plasma.systemmonitor/contents/ui/main.qml:43:5: QML MouseArea: Cannot anchor to an item that isn't a parent or sibling.
file:///usr/share/plasma/plasmoids/org.kde.plasma.systemmonitor/contents/ui/main.qml:41: TypeError: Cannot read property 'length' of undefined
file:///usr/share/plasma/plasmoids/org.kde.plasma.systemmonitor/contents/ui/main.qml:43:5: QML MouseArea: Cannot anchor to an item that isn't a parent or sibling.
file:///usr/share/plasma/plasmoids/org.kde.plasma.systemmonitor/contents/ui/main.qml:41: TypeError: Cannot read property 'length' of undefined
file:///usr/share/plasma/plasmoids/org.kde.plasma.systemmonitor/contents/ui/main.qml:43:5: QML MouseArea: Cannot anchor to an item that isn't a parent or sibling.
file:///usr/share/plasma/plasmoids/org.kde.plasma.systemmonitor/contents/ui/main.qml:41: TypeError: Cannot read property 'length' of undefined
file:///usr/share/plasma/plasmoids/org.kde.plasma.systemmonitor/contents/ui/main.qml:43:5: QML MouseArea: Cannot anchor to an item that isn't a parent or sibling.
file:///usr/share/plasma/plasmoids/org.kde.plasma.systemmonitor/contents/ui/main.qml:41: TypeError: Cannot read property 'length' of undefined
file:///usr/share/plasma/plasmoids/org.kde.plasma.systemmonitor/contents/ui/main.qml:43:5: QML MouseArea: Cannot anchor to an item that isn't a parent or sibling.
file:///usr/share/plasma/plasmoids/org.kde.plasma.systemmonitor/contents/ui/main.qml:41: TypeError: Cannot read property 'length' of undefined
file:///usr/share/plasma/plasmoids/org.kde.plasma.systemmonitor/contents/ui/main.qml:43:5: QML MouseArea: Cannot anchor to an item that isn't a parent or sibling.
file:///usr/share/plasma/plasmoids/org.kde.plasma.systemmonitor/contents/ui/main.qml:41: TypeError: Cannot read property 'length' of undefined
file:///usr/share/plasma/plasmoids/org.kde.plasma.systemmonitor/contents/ui/main.qml:43:5: QML MouseArea: Cannot anchor to an item that isn't a parent or sibling.
file:///usr/share/plasma/plasmoids/org.kde.plasma.systemmonitor/contents/ui/main.qml:41: TypeError: Cannot read property 'length' of undefined
kf.kirigami: Units.devicePixelRatio is deprecated (since 5.86 ): This returns 1 when using Qt HiDPI scaling.
file:///usr/share/ksysguard/sensorfaces/org.kde.ksysguard.linechart/contents/ui/FullRepresentation.qml:22:1: QML FullRepresentation: Binding loop detected for property "implicitHeight"
qt.core.qabstractitemmodel.checkindex: Index QModelIndex(-1,-1,0x0,QObject(0x0)) is not valid (expected valid)
file:///usr/share/ksysguard/sensorfaces/org.kde.ksysguard.barchart/contents/ui/FullRepresentation.qml:23:1: QML FullRepresentation: Binding loop detected for property "implicitHeight"
file:///usr/share/ksysguard/sensorfaces/org.kde.ksysguard.piechart/contents/ui/FullRepresentation.qml:21:1: QML FullRepresentation: Binding loop detected for property "implicitHeight"
file:///usr/share/ksysguard/sensorfaces/org.kde.ksysguard.linechart/contents/ui/FullRepresentation.qml:22:1: QML FullRepresentation: Binding loop detected for property "implicitHeight"
trying to show an empty dialog
file:///home/stalker/.local/share/ksysguard/sensorfaces/org.kde.ksysguard.systach/contents/ui/FullRepresentation.qml:10:1: QML FullRepresentation: Binding loop detected for property "implicitHeight"
file:///home/stalker/.local/share/ksysguard/sensorfaces/org.kde.ksysguard.systach/contents/ui/Speedometer.qml:91:9: Unable to assign [undefined] to QString
file:///home/stalker/.local/share/ksysguard/sensorfaces/org.kde.ksysguard.systach/contents/ui/Speedometer.qml:97:9: Unable to assign [undefined] to QString
file:///usr/share/ksysguard/sensorfaces/org.kde.ksysguard.horizontalbars/contents/ui/FullRepresentation.qml:28:9: Unable to assign [undefined] to double
file:///usr/share/ksysguard/sensorfaces/org.kde.ksysguard.horizontalbars/contents/ui/FullRepresentation.qml:28:9: Unable to assign [undefined] to double
file:///usr/share/ksysguard/sensorfaces/org.kde.ksysguard.horizontalbars/contents/ui/FullRepresentation.qml:28:9: Unable to assign [undefined] to double
file:///usr/share/ksysguard/sensorfaces/org.kde.ksysguard.linechart/contents/ui/LineChart.qml:57:9: Unable to assign [undefined] to int
file:///usr/share/ksysguard/sensorfaces/org.kde.ksysguard.barchart/contents/ui/BarChart.qml:53:9: Unable to assign [undefined] to int
file:///usr/share/ksysguard/sensorfaces/org.kde.ksysguard.linechart/contents/ui/LineChart.qml:57:9: Unable to assign [undefined] to int
file:///usr/share/ksysguard/sensorfaces/org.kde.ksysguard.horizontalbars/contents/ui/FullRepresentation.qml:28:9: Unable to assign [undefined] to double
trying to show an empty dialog
file:///usr/share/plasma/shells/org.kde.plasma.desktop/contents/views/Desktop.qml:134:19: QML Loader: Binding loop detected for property "height"
file:///usr/share/plasma/shells/org.kde.plasma.desktop/contents/views/Desktop.qml:134:19: QML Loader: Binding loop detected for property "height"
qt.qpa.wayland: Wayland does not support QWindow::requestActivate()
kf.quickcharts.deprecated: LegendDelegate::colorVisible is deprecated (since 5.82): Use an empty indicator instead
kf.quickcharts.deprecated: LegendDelegate::layoutWidth is deprecated (since 5.82): Unused
kf.quickcharts.deprecated: LegendDelegate::valueWidth is deprecated (since 5.82): Use maximumValueWidth instead
kf.quickcharts.deprecated: LegendDelegate::colorVisible is deprecated (since 5.82): Use an empty indicator instead
kf.quickcharts.deprecated: LegendDelegate::layoutWidth is deprecated (since 5.82): Unused
kf.quickcharts.deprecated: LegendDelegate::valueWidth is deprecated (since 5.82): Use maximumValueWidth instead
kf.quickcharts.deprecated: LegendDelegate::colorVisible is deprecated (since 5.82): Use an empty indicator instead
kf.quickcharts.deprecated: LegendDelegate::layoutWidth is deprecated (since 5.82): Unused
kf.quickcharts.deprecated: LegendDelegate::valueWidth is deprecated (since 5.82): Use maximumValueWidth instead
kf.quickcharts.deprecated: LegendDelegate::colorVisible is deprecated (since 5.82): Use an empty indicator instead
kf.quickcharts.deprecated: LegendDelegate::layoutWidth is deprecated (since 5.82): Unused
kf.quickcharts.deprecated: LegendDelegate::valueWidth is deprecated (since 5.82): Use maximumValueWidth instead
file:///usr/share/ksysguard/sensorfaces/org.kde.ksysguard.linechart/contents/ui/LineChart.qml:57:9: Unable to assign [undefined] to int
file:///usr/share/ksysguard/sensorfaces/org.kde.ksysguard.barchart/contents/ui/BarChart.qml:53: ReferenceError: Formatter is not defined
file:///usr/share/ksysguard/sensorfaces/org.kde.ksysguard.linechart/contents/ui/LineChart.qml:57:9: Unable to assign [undefined] to int
kf.quickcharts.deprecated: LegendDelegate::colorVisible is deprecated (since 5.82): Use an empty indicator instead
kf.quickcharts.deprecated: LegendDelegate::layoutWidth is deprecated (since 5.82): Unused
kf.quickcharts.deprecated: LegendDelegate::valueWidth is deprecated (since 5.82): Use maximumValueWidth instead
kf.quickcharts.deprecated: LegendDelegate::colorVisible is deprecated (since 5.82): Use an empty indicator instead
kf.quickcharts.deprecated: LegendDelegate::layoutWidth is deprecated (since 5.82): Unused
kf.quickcharts.deprecated: LegendDelegate::valueWidth is deprecated (since 5.82): Use maximumValueWidth instead
kf.quickcharts.deprecated: LegendDelegate::colorVisible is deprecated (since 5.82): Use an empty indicator instead
kf.quickcharts.deprecated: LegendDelegate::layoutWidth is deprecated (since 5.82): Unused
kf.quickcharts.deprecated: LegendDelegate::valueWidth is deprecated (since 5.82): Use maximumValueWidth instead
kf.quickcharts.deprecated: LegendDelegate::colorVisible is deprecated (since 5.82): Use an empty indicator instead
kf.quickcharts.deprecated: LegendDelegate::layoutWidth is deprecated (since 5.82): Unused
kf.quickcharts.deprecated: LegendDelegate::valueWidth is deprecated (since 5.82): Use maximumValueWidth instead
kf.quickcharts.deprecated: LegendDelegate::colorVisible is deprecated (since 5.82): Use an empty indicator instead
kf.quickcharts.deprecated: LegendDelegate::layoutWidth is deprecated (since 5.82): Unused
kf.quickcharts.deprecated: LegendDelegate::valueWidth is deprecated (since 5.82): Use maximumValueWidth instead
kf.quickcharts.deprecated: LegendDelegate::colorVisible is deprecated (since 5.82): Use an empty indicator instead
kf.quickcharts.deprecated: LegendDelegate::layoutWidth is deprecated (since 5.82): Unused
kf.quickcharts.deprecated: LegendDelegate::valueWidth is deprecated (since 5.82): Use maximumValueWidth instead
kf.quickcharts.deprecated: LegendDelegate::colorVisible is deprecated (since 5.82): Use an empty indicator instead
kf.quickcharts.deprecated: LegendDelegate::layoutWidth is deprecated (since 5.82): Unused
kf.quickcharts.deprecated: LegendDelegate::valueWidth is deprecated (since 5.82): Use maximumValueWidth instead
kf.quickcharts.deprecated: LegendDelegate::colorVisible is deprecated (since 5.82): Use an empty indicator instead
kf.quickcharts.deprecated: LegendDelegate::layoutWidth is deprecated (since 5.82): Unused
kf.quickcharts.deprecated: LegendDelegate::valueWidth is deprecated (since 5.82): Use maximumValueWidth instead
kf.quickcharts.deprecated: LegendDelegate::colorVisible is deprecated (since 5.82): Use an empty indicator instead
kf.quickcharts.deprecated: LegendDelegate::layoutWidth is deprecated (since 5.82): Unused
kf.quickcharts.deprecated: LegendDelegate::valueWidth is deprecated (since 5.82): Use maximumValueWidth instead
kf.quickcharts.deprecated: LegendDelegate::colorVisible is deprecated (since 5.82): Use an empty indicator instead
kf.quickcharts.deprecated: LegendDelegate::layoutWidth is deprecated (since 5.82): Unused
kf.quickcharts.deprecated: LegendDelegate::valueWidth is deprecated (since 5.82): Use maximumValueWidth instead
kf.quickcharts.deprecated: LegendDelegate::colorVisible is deprecated (since 5.82): Use an empty indicator instead
kf.quickcharts.deprecated: LegendDelegate::layoutWidth is deprecated (since 5.82): Unused
kf.quickcharts.deprecated: LegendDelegate::valueWidth is deprecated (since 5.82): Use maximumValueWidth instead
kf.quickcharts.deprecated: LegendDelegate::colorVisible is deprecated (since 5.82): Use an empty indicator instead
kf.quickcharts.deprecated: LegendDelegate::layoutWidth is deprecated (since 5.82): Unused
kf.quickcharts.deprecated: LegendDelegate::valueWidth is deprecated (since 5.82): Use maximumValueWidth instead
kf.quickcharts.deprecated: LegendDelegate::colorVisible is deprecated (since 5.82): Use an empty indicator instead
kf.quickcharts.deprecated: LegendDelegate::layoutWidth is deprecated (since 5.82): Unused
kf.quickcharts.deprecated: LegendDelegate::valueWidth is deprecated (since 5.82): Use maximumValueWidth instead
kf.quickcharts.deprecated: LegendDelegate::colorVisible is deprecated (since 5.82): Use an empty indicator instead
kf.quickcharts.deprecated: LegendDelegate::layoutWidth is deprecated (since 5.82): Unused
kf.quickcharts.deprecated: LegendDelegate::valueWidth is deprecated (since 5.82): Use maximumValueWidth instead
kf.quickcharts.deprecated: LegendDelegate::colorVisible is deprecated (since 5.82): Use an empty indicator instead
kf.quickcharts.deprecated: LegendDelegate::layoutWidth is deprecated (since 5.82): Unused
kf.quickcharts.deprecated: LegendDelegate::valueWidth is deprecated (since 5.82): Use maximumValueWidth instead
kf.quickcharts.deprecated: LegendDelegate::colorVisible is deprecated (since 5.82): Use an empty indicator instead
kf.quickcharts.deprecated: LegendDelegate::layoutWidth is deprecated (since 5.82): Unused
kf.quickcharts.deprecated: LegendDelegate::valueWidth is deprecated (since 5.82): Use maximumValueWidth instead
kf.quickcharts.deprecated: LegendDelegate::colorVisible is deprecated (since 5.82): Use an empty indicator instead
kf.quickcharts.deprecated: LegendDelegate::layoutWidth is deprecated (since 5.82): Unused
kf.quickcharts.deprecated: LegendDelegate::valueWidth is deprecated (since 5.82): Use maximumValueWidth instead
file:///usr/share/plasma/plasmoids/org.kde.plasma.systemmonitor/contents/ui/main.qml:41: TypeError: Cannot read property 'length' of undefined
kf.quickcharts.deprecated: LegendDelegate::layoutWidth is deprecated (since 5.82): Unused
kf.quickcharts.deprecated: LegendDelegate::valueWidth is deprecated (since 5.82): Use maximumValueWidth instead
qt.qpa.wayland: Wayland does not support QWindow::requestActivate()
qt.qpa.wayland: Wayland does not support QWindow::requestActivate()
Loading Calendar plugin HolidaysEventsPlugin(0x5652187ffc90)
file:///usr/share/plasma/plasmoids/org.kde.plasma.digitalclock/contents/ui/DigitalClock.qml:520:9: QML Label: Binding loop detected for property "height"
file:///usr/share/plasma/plasmoids/org.kde.plasma.digitalclock/contents/ui/DigitalClock.qml:475:13: QML Label: Binding loop detected for property "height"
trying to show an empty dialog
qml: Reading places from configuration: [{ "providerId": "yrno", "placeIdentifier": "Germany/North_Rhine-Westphalia/Bonn", "placeAlias":"Bonn" }, { "providerId": "yrno", "placeIdentifier": "USA/New_York/New_York", "placeAlias": "New York" }]
qml: Reading places from configuration: [{ "providerId": "yrno", "placeIdentifier": "Germany/North_Rhine-Westphalia/Bonn", "placeAlias":"Bonn" }, { "providerId": "yrno", "placeIdentifier": "USA/New_York/New_York", "placeAlias": "New York" }]
qml: cacheBackend failed to initialize
qml: Reading places from configuration: [{ "providerId": "yrno", "placeIdentifier": "Germany/North_Rhine-Westphalia/Bonn", "placeAlias":"Bonn" }, { "providerId": "yrno", "placeIdentifier": "USA/New_York/New_York", "placeAlias": "New York" }]
file:///usr/share/plasma/plasmoids/org.kde.plasma.systemmonitor/contents/ui/main.qml:43:5: QML MouseArea: Cannot anchor to an item that isn't a parent or sibling.
QFont::setPointSizeF: Point size <= 0 (0.000000), must be greater than 0
trying to show an empty dialog
file:///usr/share/plasma/plasmoids/org.kde.panel/contents/ui/main.qml:18:1: QML DropArea (parent or ancestor of QQuickLayoutAttached): Binding loop detected for property "minimumWidth"
file:///usr/share/ksysguard/sensorfaces/org.kde.ksysguard.barchart/contents/ui/BarChart.qml:53:9: Unable to assign [undefined] to int
trying to show an empty dialog
trying to show an empty dialog
file:///usr/share/plasma/plasmoids/org.kde.plasma.digitalclock/contents/ui/DigitalClock.qml:475:13: QML Label: Binding loop detected for property "height"
file:///usr/share/plasma/plasmoids/org.kde.plasma.digitalclock/contents/ui/DigitalClock.qml:520:9: QML Label: Binding loop detected for property "height"
file:///usr/share/plasma/plasmoids/org.kde.plasma.digitalclock/contents/ui/DigitalClock.qml:542:5: QML Label: Binding loop detected for property "height"
trying to show an empty dialog
file:///usr/share/plasma/shells/org.kde.plasma.desktop/contents/views/Panel.qml:15:1: QML Panel: Binding loop detected for property "state"
qt.qpa.wayland: Wayland does not support QWindow::requestActivate()
Plasma Shell startup completed
libkcups: CUPS-Get-Printers last error: 1030 Nenhuma destinação foi adicionada.
libkcups: Create-Printer-Subscriptions last error: 0 successful-ok
libkcups: Get-Jobs last error: 0 successful-ok
libkcups: Get-Jobs last error: 0 successful-ok
Cyclic dependency detected between "file:///usr/share/plasma/plasmoids/org.kde.plasma.notifications/contents/ui/global/Globals.qml" and "file:///usr/share/plasma/plasmoids/org.kde.plasma.notifications/contents/ui/NotificationHeader.qml"
libkcups: 0
libkcups: 0
qt.qpa.wayland: Wayland does not support QWindow::requestActivate()
trying to show an empty dialog
file:///usr/share/plasma/shells/org.kde.plasma.desktop/contents/views/Desktop.qml:134:19: QML Loader: Binding loop detected for property "height"
file:///usr/share/plasma/shells/org.kde.plasma.desktop/contents/views/Desktop.qml:134:19: QML Loader: Binding loop detected for property "height"
QFont::setPointSizeF: Point size <= 0 (0.000000), must be greater than 0
QFont::setPointSizeF: Point size <= 0 (0.000000), must be greater than 0
<Unknown File>: temperature0 is undefined. Adding an object with a undefined member does not create a role for it.
<Unknown File>: iconName0 is undefined. Adding an object with a undefined member does not create a role for it.
<Unknown File>: isPast0 is undefined. Adding an object with a undefined member does not create a role for it.
<Unknown File>: temperature1 is undefined. Adding an object with a undefined member does not create a role for it.
<Unknown File>: iconName1 is undefined. Adding an object with a undefined member does not create a role for it.
<Unknown File>: isPast1 is undefined. Adding an object with a undefined member does not create a role for it.
libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
Entry is not valid "kontact.desktop" QSharedPointer(0x56521efae050)
Entry is not valid "ktp-contactlist.desktop" QSharedPointer(0x56521efae050)
Entry is not valid "kontact.desktop" QSharedPointer(0x56521efae0a0)
Entry is not valid "ktp-contactlist.desktop" QSharedPointer(0x56521efae340)
trying to show an empty dialog
qt.qpa.wayland: Wayland does not support QWindow::requestActivate()
qt.qpa.wayland: Wayland does not support QWindow::requestActivate()
kf.plasma.quick: Couldn't create KWindowShadow for PlasmaQuick::Dialog_QML_17(0x56521b215b80, name="popupWindow")
kf.plasma.quick: Couldn't create KWindowShadow for PlasmaQuick::Dialog_QML_17(0x56521b215b80, name="popupWindow")
kf.plasma.quick: Couldn't create KWindowShadow for PlasmaQuick::Dialog_QML_17(0x56521b215b80, name="popupWindow")
Hspell: can't open /usr/share/hspell/hebrew.wgz.sizes.
kf.sonnet.clients.hspell: HSpellDict::HSpellDict: Init failed
Hspell: can't open /usr/share/hspell/hebrew.wgz.sizes.
kf.sonnet.clients.hspell: HSpellDict::HSpellDict: Init failed
qt.qpa.wayland: Wayland does not support QWindow::requestActivate()
kf.plasma.quick: Couldn't create KWindowShadow for PlasmaQuick::Dialog_QML_17(0x56521b215b80, name="popupWindow")
kf.plasma.quick: Couldn't create KWindowShadow for PlasmaQuick::Dialog_QML_17(0x56521b215b80, name="popupWindow")
kf.plasma.quick: Couldn't create KWindowShadow for PlasmaQuick::Dialog_QML_17(0x56521b215b80, name="popupWindow")
plasma_workspace_pipewire_logging: PipeWire remote error:  unknown resource 2 op:2
plasma_workspace_pipewire_logging: PipeWire remote error:  unknown resource 3 op:2
wl_display@1: error 1: invalid arguments for zwp_linux_buffer_params_v1@419.add
The Wayland connection experienced a fatal error: Invalid argument
Comment 10 Vlad Zahorodnii 2021-09-24 16:19:53 UTC
WAYLAND_DEBUG=1 needs to come before plasmashell, e.g.

    env WAYLAND_DEBUG=1 plasmashell --replace
Comment 11 Patrick Silva 2021-09-24 16:34:06 UTC
(In reply to Vlad Zahorodnii from comment #10)
> WAYLAND_DEBUG=1 needs to come before plasmashell, e.g.
> 
>     env WAYLAND_DEBUG=1 plasmashell --replace

[1038065.971] wl_buffer@268.release()
[1038066.034] wl_callback@488.done(10467)
[1038098.711] wl_display@1.delete_id(474)
[1038098.839] wl_callback@474.done(16039928)
[1038098.934]  -> wl_surface@65.frame(new id wl_callback@474)
[1038099.047]  -> wl_surface@65.attach(wl_buffer@268, 0, 0)
[1038099.135]  -> wl_surface@65.damage(0, 0, 2147483647, 2147483647)
[1038099.407]  -> wl_surface@65.commit()
[1038099.500]  -> wl_display@1.sync(new id wl_callback@488)
[1038107.631]  -> zkde_screencast_unstable_v1@242.stream_window(new id zkde_screencast_stream_unstable_v1@386, "{fdca79e6-3f0f-4f97-aa2d-0928e628ed57}", 1)
[1038140.612]  -> zkde_screencast_unstable_v1@242.stream_window(new id zkde_screencast_stream_unstable_v1@487, "{0e994e9c-d205-410a-8442-882be2f43ca6}", 1)
[1038173.578]  -> zkde_screencast_unstable_v1@242.stream_window(new id zkde_screencast_stream_unstable_v1@486, "{939312ba-c864-4a9d-9fbc-4e0e209da3ce}", 1)
[1038200.962]  -> zkde_screencast_unstable_v1@242.stream_window(new id zkde_screencast_stream_unstable_v1@471, "{bf2da9ef-e50b-4672-a063-2d07a8153f32}", 1)
[1038228.549]  -> zkde_screencast_unstable_v1@242.stream_window(new id zkde_screencast_stream_unstable_v1@449, "{c6b07391-e3f3-4118-9f10-5b64478de299}", 1)
[1038258.934]  -> zkde_screencast_unstable_v1@242.stream_window(new id zkde_screencast_stream_unstable_v1@478, "{14c143de-ccff-4cc0-aff4-63f9420294ba}", 1)
[1038289.957]  -> zkde_screencast_unstable_v1@242.stream_window(new id zkde_screencast_stream_unstable_v1@475, "{8ddd2262-4549-4956-8524-1a3ede10a93f}", 1)
[1038326.043]  -> zkde_screencast_unstable_v1@242.stream_window(new id zkde_screencast_stream_unstable_v1@435, "{0cdd74a7-51f1-4c35-a2b1-ed13cd22ac28}", 1)
[1038335.487]  -> zkde_screencast_unstable_v1@242.stream_window(new id zkde_screencast_stream_unstable_v1@485, "{0cdd74a7-51f1-4c35-a2b1-ed13cd22ac28}", 1)
[1038335.726]  -> org_kde_kwin_blur_manager@36.create(new id org_kde_kwin_blur@420, wl_surface@64)
[1038335.891]  -> wl_compositor@4.create_region(new id wl_region@502)
[1038335.980]  -> wl_region@502.add(1, 0, 1364, 1)
[1038336.076]  -> wl_region@502.add(0, 1, 1366, 199)
[1038336.206]  -> wl_region@502.add(1, 200, 1364, 1)
[1038336.350]  -> org_kde_kwin_blur@420.set_region(wl_region@502)
[1038336.435]  -> org_kde_kwin_blur@420.commit()
[1038336.567]  -> org_kde_kwin_shadow@505.destroy()
[1038336.680]  -> org_kde_kwin_shadow_manager@93.create(new id org_kde_kwin_shadow@499, wl_surface@64)
[1038336.786]  -> org_kde_kwin_shadow@499.attach_left(wl_buffer@174)
[1038336.865]  -> org_kde_kwin_shadow@499.attach_top_left(wl_buffer@167)
[1038336.946]  -> org_kde_kwin_shadow@499.attach_top(wl_buffer@296)
[1038337.028]  -> org_kde_kwin_shadow@499.attach_top_right(wl_buffer@292)
[1038337.116]  -> org_kde_kwin_shadow@499.attach_right(wl_buffer@289)
[1038337.199]  -> org_kde_kwin_shadow@499.attach_bottom_right(wl_buffer@287)
[1038337.288]  -> org_kde_kwin_shadow@499.attach_bottom(wl_buffer@284)
[1038337.376]  -> org_kde_kwin_shadow@499.attach_bottom_left(wl_buffer@328)
[1038337.464]  -> org_kde_kwin_shadow@499.set_left_offset(10.000000)
[1038337.563]  -> org_kde_kwin_shadow@499.set_top_offset(10.000000)
[1038337.660]  -> org_kde_kwin_shadow@499.set_right_offset(10.000000)
[1038337.760]  -> org_kde_kwin_shadow@499.set_bottom_offset(10.000000)
[1038337.858]  -> org_kde_kwin_shadow@499.commit()
[1038338.432]  -> xdg_surface@334.set_window_geometry(0, 0, 300, 201)
[1038339.036]  -> org_kde_kwin_blur_manager@36.create(new id org_kde_kwin_blur@481, wl_surface@64)
[1038339.192]  -> wl_compositor@4.create_region(new id wl_region@510)
[1038339.292]  -> wl_region@510.add(1, 0, 298, 1)
[1038339.399]  -> wl_region@510.add(0, 1, 300, 199)
[1038339.515]  -> wl_region@510.add(1, 200, 298, 1)
[1038339.618]  -> org_kde_kwin_blur@481.set_region(wl_region@510)
[1038339.692]  -> org_kde_kwin_blur@481.commit()
[1038339.795]  -> org_kde_kwin_shadow@499.destroy()
[1038339.918]  -> org_kde_kwin_shadow_manager@93.create(new id org_kde_kwin_shadow@511, wl_surface@64)
[1038340.034]  -> org_kde_kwin_shadow@511.attach_left(wl_buffer@174)
[1038340.120]  -> org_kde_kwin_shadow@511.attach_top_left(wl_buffer@167)
[1038340.195]  -> org_kde_kwin_shadow@511.attach_top(wl_buffer@296)
[1038340.304]  -> org_kde_kwin_shadow@511.attach_top_right(wl_buffer@292)
[1038340.385]  -> org_kde_kwin_shadow@511.attach_right(wl_buffer@289)
[1038340.475]  -> org_kde_kwin_shadow@511.attach_bottom_right(wl_buffer@287)
[1038340.564]  -> org_kde_kwin_shadow@511.attach_bottom(wl_buffer@284)
[1038340.723]  -> org_kde_kwin_shadow@511.attach_bottom_left(wl_buffer@328)
[1038340.809]  -> org_kde_kwin_shadow@511.set_left_offset(10.000000)
[1038340.907]  -> org_kde_kwin_shadow@511.set_top_offset(10.000000)
[1038341.003]  -> org_kde_kwin_shadow@511.set_right_offset(10.000000)
[1038341.102]  -> org_kde_kwin_shadow@511.set_bottom_offset(10.000000)
[1038341.204]  -> org_kde_kwin_shadow@511.commit()
[1038341.598]  -> org_kde_kwin_blur_manager@36.create(new id org_kde_kwin_blur@512, wl_surface@64)
[1038341.719]  -> wl_compositor@4.create_region(new id wl_region@513)
[1038341.808]  -> wl_region@513.add(1, 0, 298, 1)
[1038341.891]  -> wl_region@513.add(0, 1, 300, 199)
[1038341.956]  -> wl_region@513.add(1, 200, 298, 1)
[1038342.023]  -> org_kde_kwin_blur@512.set_region(wl_region@513)
[1038342.080]  -> org_kde_kwin_blur@512.commit()
[1038342.166]  -> org_kde_kwin_shadow@511.destroy()
[1038342.253]  -> org_kde_kwin_shadow_manager@93.create(new id org_kde_kwin_shadow@514, wl_surface@64)
[1038342.349]  -> org_kde_kwin_shadow@514.attach_left(wl_buffer@174)
[1038342.421]  -> org_kde_kwin_shadow@514.attach_top_left(wl_buffer@167)
[1038342.500]  -> org_kde_kwin_shadow@514.attach_top(wl_buffer@296)
[1038342.582]  -> org_kde_kwin_shadow@514.attach_top_right(wl_buffer@292)
[1038342.656]  -> org_kde_kwin_shadow@514.attach_right(wl_buffer@289)
[1038342.716]  -> org_kde_kwin_shadow@514.attach_bottom_right(wl_buffer@287)
[1038342.787]  -> org_kde_kwin_shadow@514.attach_bottom(wl_buffer@284)
[1038342.860]  -> org_kde_kwin_shadow@514.attach_bottom_left(wl_buffer@328)
[1038342.925]  -> org_kde_kwin_shadow@514.set_left_offset(10.000000)
[1038343.010]  -> org_kde_kwin_shadow@514.set_top_offset(10.000000)
[1038343.095]  -> org_kde_kwin_shadow@514.set_right_offset(10.000000)
[1038343.177]  -> org_kde_kwin_shadow@514.set_bottom_offset(10.000000)
[1038343.278]  -> org_kde_kwin_shadow@514.commit()
[1038343.548]  -> org_kde_plasma_surface@66.set_position(379, 523)
[1038343.673]  -> org_kde_kwin_blur_manager@36.create(new id org_kde_kwin_blur@515, wl_surface@64)
[1038343.768]  -> wl_compositor@4.create_region(new id wl_region@516)
[1038343.845]  -> wl_region@516.add(1, 0, 298, 1)
[1038343.908]  -> wl_region@516.add(0, 1, 300, 199)
[1038343.974]  -> wl_region@516.add(1, 200, 298, 1)
[1038344.041]  -> org_kde_kwin_blur@515.set_region(wl_region@516)
[1038344.092]  -> org_kde_kwin_blur@515.commit()
[1038354.915] wl_callback@509.done(10467)
[1038354.984] wl_buffer@484.release()
[1038355.030]  -> wl_buffer@484.destroy()
[1038357.013]  -> wl_surface@64.frame(new id wl_callback@349)
[1038357.127]  -> zwp_linux_dmabuf_v1@26.create_params(new id zwp_linux_buffer_params_v1@509)
[1038357.227]  -> zwp_linux_buffer_params_v1@509.add(fd 73, 0, 0, 1280, 16777216, 2)
[1038357.328]  -> zwp_linux_buffer_params_v1@509.create_immed(new id wl_buffer@517, 300, 201, 875713089, 0)
[1038357.404]  -> zwp_linux_buffer_params_v1@509.destroy()
[1038357.451]  -> wl_surface@64.attach(wl_buffer@517, 0, 0)
[1038357.508]  -> wl_surface@64.damage(0, 0, 2147483647, 2147483647)
[1038357.765]  -> wl_surface@64.commit()
[1038357.825]  -> wl_display@1.sync(new id wl_callback@518)
[1038357.961] wl_pointer@20.motion(16039917, 416.000000, 27.000000)
[1038358.060] wl_pointer@20.frame()
[1038358.109] wl_pointer@20.motion(16039930, 432.000000, 26.000000)
[1038358.214] wl_pointer@20.frame()
[1038358.317] wl_display@1.delete_id(488)
[1038358.371] wl_display@1.delete_id(474)
[1038358.425] wl_callback@474.done(16039962)
[1038358.499] wl_pointer@20.motion(16039943, 443.000000, 25.000000)
[1038358.602] wl_pointer@20.frame()
[1038358.659] wl_pointer@20.motion(16039956, 455.000000, 24.000000)
[1038358.756] wl_pointer@20.frame()
[1038358.800] wl_pointer@20.motion(16039968, 465.000000, 24.000000)
[1038358.897] wl_pointer@20.frame()
[1038358.954] wl_pointer@20.motion(16039981, 474.000000, 24.000000)
[1038359.045] wl_pointer@20.frame()
[1038359.088] wl_pointer@20.motion(16039994, 482.000000, 24.000000)
[1038359.187] wl_pointer@20.frame()
[1038359.247] wl_pointer@20.motion(16040008, 487.000000, 24.000000)
[1038359.349] wl_pointer@20.frame()
[1038359.392] wl_pointer@20.motion(16040020, 491.000000, 24.000000)
[1038359.497] wl_pointer@20.frame()
[1038359.555] wl_pointer@20.motion(16040033, 495.000000, 24.000000)
[1038359.649] wl_pointer@20.frame()
[1038359.691] wl_pointer@20.motion(16040046, 497.000000, 24.000000)
[1038359.830] wl_pointer@20.frame()
[1038359.891] wl_pointer@20.motion(16040059, 499.000000, 24.000000)
[1038359.989] wl_pointer@20.frame()
[1038360.046] wl_pointer@20.motion(16040071, 500.000000, 24.000000)
[1038360.139] wl_pointer@20.frame()
[1038360.189] wl_pointer@20.frame()
[1038360.245] wl_pointer@20.motion(16040097, 501.000000, 24.000000)
[1038360.346] wl_pointer@20.frame()
[1038360.393] wl_pointer@20.frame()
[1038360.448] wl_pointer@20.motion(16040135, 502.000000, 24.000000)
[1038360.551] wl_pointer@20.frame()
[1038360.628] wl_pointer@20.motion(16040148, 504.000000, 24.000000)
[1038360.795] wl_pointer@20.frame()
[1038360.870] wl_pointer@20.motion(16040161, 505.000000, 24.000000)
[1038360.968] wl_pointer@20.frame()
[1038361.012] wl_pointer@20.motion(16040174, 506.000000, 24.000000)
[1038361.099] wl_pointer@20.frame()
[1038390.232] wl_buffer@489.release()
[1038390.316] wl_callback@488.done(10467)
[1038390.372] wl_buffer@230.release()
[1038390.420]  -> wl_buffer@489.destroy()
[1038391.539]  -> wl_surface@65.frame(new id wl_callback@474)
[1038391.637]  -> wl_surface@65.attach(wl_buffer@230, 0, 0)
[1038391.703]  -> wl_surface@65.damage(0, 0, 2147483647, 2147483647)
[1038392.133]  -> wl_surface@65.commit()
[1038392.195]  -> wl_display@1.sync(new id wl_callback@488)
[1038405.236]  -> zkde_screencast_stream_unstable_v1@435.close()
[1038407.388] wl_display@1.delete_id(505)
[1038407.476] wl_display@1.delete_id(499)
[1038407.533] wl_display@1.delete_id(511)
[1038407.596] wl_display@1.delete_id(484)
[1038407.650] wl_display@1.delete_id(509)
[1038407.706] wl_display@1.delete_id(518)
[1038407.768] wl_display@1.delete_id(349)
[1038407.837] wl_display@1.delete_id(489)
[1038407.897] wl_display@1.delete_id(488)
[1038407.960] zkde_screencast_stream_unstable_v1@487.failed("Failed to create PipeWire stream")
[1038408.033] zkde_screencast_stream_unstable_v1@486.failed("Failed to create PipeWire stream")
[1038408.097] zkde_screencast_stream_unstable_v1@471.failed("Failed to create PipeWire stream")
[1038408.156] zkde_screencast_stream_unstable_v1@449.failed("Failed to create PipeWire stream")
[1038408.221] zkde_screencast_stream_unstable_v1@478.failed("Failed to create PipeWire stream")
[1038408.294] zkde_screencast_stream_unstable_v1@475.failed("Failed to create PipeWire stream")
[1038408.361] zkde_screencast_stream_unstable_v1@485.failed("Failed to create PipeWire stream")
error creating screencast "Failed to create PipeWire stream"
[1038408.456] wl_pointer@20.motion(16040187, 507.000000, 23.000000)
[1038408.576] wl_pointer@20.frame()
[1038408.637] wl_buffer@174.release()
[1038408.696] wl_buffer@167.release()
[1038408.754] wl_buffer@296.release()
[1038408.807] wl_buffer@292.release()
[1038408.849] wl_buffer@289.release()
[1038408.888] wl_buffer@287.release()
[1038408.926] wl_buffer@284.release()
[1038408.966] wl_buffer@328.release()
[1038409.026] wl_buffer@174.release()
[1038409.078] wl_buffer@167.release()
[1038409.131] wl_buffer@296.release()
[1038409.185] wl_buffer@292.release()
[1038409.236] wl_buffer@289.release()
[1038409.294] wl_buffer@287.release()
[1038409.349] wl_buffer@284.release()
[1038409.404] wl_buffer@328.release()
[1038409.461] wl_buffer@174.release()
[1038409.520] wl_buffer@167.release()
[1038409.574] wl_buffer@296.release()
[1038409.634] wl_buffer@292.release()
[1038409.685] wl_buffer@289.release()
[1038409.741] wl_buffer@287.release()
[1038409.796] wl_buffer@284.release()
[1038409.910] wl_buffer@328.release()
[1038409.969] wl_callback@349.done(16040196)
[1038413.954] wl_buffer@63.release()
[1038414.054] wl_callback@452.done(10467)
[1038414.123] wl_buffer@422.release()
[1038414.181]  -> wl_buffer@422.destroy()
[1038417.576]  -> wl_surface@22.frame(new id wl_callback@402)
[1038417.700]  -> wl_surface@22.attach(wl_buffer@63, 0, 0)
[1038417.783]  -> wl_surface@22.damage(0, 0, 2147483647, 2147483647)
[1038417.929]  -> wl_surface@22.commit()
[1038418.001]  -> wl_display@1.sync(new id wl_callback@452)
[1038418.292] wl_display@1.delete_id(474)
[1038419.179] wl_display@1.delete_id(435)
[1038419.422] wl_display@1.delete_id(422)
[1038419.654] wl_display@1.delete_id(452)
[1038421.365] wl_callback@474.done(16040246)
[1038423.964] wl_callback@488.done(10467)
[1038424.115] wl_buffer@268.release()
[1038425.485]  -> wl_surface@65.frame(new id wl_callback@474)
[1038425.614]  -> wl_surface@65.attach(wl_buffer@268, 0, 0)
[1038425.708]  -> wl_surface@65.damage(0, 0, 2147483647, 2147483647)
[1038425.927]  -> wl_surface@65.commit()
[1038426.004]  -> wl_display@1.sync(new id wl_callback@488)
[1038426.396] wl_display@1.delete_id([1038426.407] wl_callback@488.done(10467)
488)
[1038451.887] wl_display@1.delete_id(402)
[1038451.987] wl_callback@402.done(16040279)
[1038452.153]  -> wl_surface@22.frame(new id wl_callback@402)
[1038452.268] wl_callback@452.done(10467)
[1038452.355] wl_buffer@454.release()
[1038452.426]  -> zwp_linux_dmabuf_v1@26.create_params(new id zwp_linux_buffer_params_v1@452)
[1038452.568]  -> zwp_linux_buffer_params_v1@452.add(fd 73, 0, 0, 5504, 16777216, 2)
[1038452.720]  -> zwp_linux_buffer_params_v1@452.create_immed(new id wl_buffer@488, 1366, 768, 875713089, 0)
[1038452.865]  -> zwp_linux_buffer_params_v1@452.destroy()
[1038452.943]  -> wl_surface@22.attach(wl_buffer@488, 0, 0)
[1038453.048]  -> wl_surface@22.damage(0, 0, 2147483647, 2147483647)
[1038451.939] wl_display@1.delete_id(474)
[1038453.311]  -> wl_surface@22.commit()
[1038452.012] wl_callback@474.done(16040279)
[1038453.525]  -> wl_display@1.sync(new id wl_callback@422)
[1038453.837]  -> wl_surface@65.frame(new id wl_callback@435)
[1038453.940]  -> zwp_linux_dmabuf_v1@26.create_params(new id zwp_linux_buffer_params_v1@489)
[1038454.038]  -> zwp_linux_buffer_params_v1@489.add(fd 73, 0, 0, 5504, 16777216, 2)
[1038454.137]  -> zwp_linux_buffer_params_v1@489.create_immed(new id wl_buffer@509, 1366, 44, 875713089, 0)
[1038454.261]  -> zwp_linux_buffer_params_v1@489.destroy()
[1038454.331]  -> wl_surface@65.attach(wl_buffer@509, 0, 0)
[1038454.423]  -> wl_surface@65.damage(0, 0, 2147483647, 2147483647)
[1038454.647] wl_display@1.delete_id(452)
[1038454.708]  -> wl_surface@65.commit()
[1038454.911]  -> wl_display@1.sync(new id wl_callback@474)
[1038455.457] wl_display@1.delete_id(422)
[1038455.533] wl_display@1.delete_id(489)
[1038455.587] wl_display@1.delete_id(474)
[1038456.295] wl_buffer@230.release()
[1038456.422] wl_callback@422.done(10467)
[1038456.606] wl_callback@474.done(10467)
[1038462.312] wl_pointer@20.motion(16040304, 506.000000, 23.000000)
[1038462.460] wl_pointer@20.frame()
[1038479.467] wl_display@1.delete_id(402)
[1038479.671] wl_callback@435.done(16040313)
[1038479.802]  -> wl_surface@65.frame(new id wl_callback@474)
[1038479.925]  -> wl_surface@65.attach(wl_buffer@230, 0, 0)
[1038480.031]  -> wl_surface@65.damage(0, 0, 2147483647, 2147483647)
[1038480.320]  -> wl_surface@65.commit()
[1038480.404]  -> wl_display@1.sync(new id wl_callback@422)
[1038479.550] wl_display@1.delete_id(435)
[1038480.621] wl_callback@402.done(16040313)
[1038480.692]  -> wl_surface@22.frame(new id wl_callback@402)
[1038480.795] wl_display@1.delete_id(422)
[1038480.814]  -> wl_surface@22.attach(wl_buffer@454, 0, 0)
[1038481.041]  -> wl_surface@22.damage(0, 0, 2147483647, 2147483647)
[1038481.299]  -> wl_surface@22.commit()
[1038481.395]  -> wl_display@1.sync(new id wl_callback@435)
[1038481.635] wl_display@1.delete_id(435)
[1038482.212] wl_buffer@268.release()
[1038482.301] wl_callback@422.done(10467)
[1038501.469] wl_display@1.delete_id(402)
[1038501.618] wl_callback@474.done(16040330)
[1038501.731]  -> wl_surface@65.frame(new id wl_callback@422)
[1038501.851]  -> wl_surface@65.attach(wl_buffer@268, 0, 0)
[1038501.954]  -> wl_surface@65.damage(0, 0, 2147483647, 2147483647)
[1038501.506] wl_display@1.delete_id(474)
[1038502.208]  -> wl_surface@65.commit()
[1038502.359]  -> wl_display@1.sync(new id wl_callback@489)
[1038502.546] wl_callback@402.done(16040330)
[1038502.713] wl_display@1.delete_id(489)
[1038503.238] wl_buffer@509.release()
[1038503.328] wl_callback@489.done(10467)
[1038517.464] wl_pointer@20.motion(16040357, 505.000000, 23.000000)
[1038517.644] wl_pointer@20.frame()
[1038535.506] wl_display@1.delete_id(422)
[1038535.670] wl_callback@422.done(16040363)
[1038535.835]  -> wl_surface@65.frame(new id wl_callback@422)
[1038536.050] wl_pointer@20.motion(16040370, 499.000000, 23.000000)
[1038536.155]  -> wl_surface@65.attach(wl_buffer@509, 0, 0)
[1038536.473]  -> wl_surface@65.damage(0, 0, 2147483647, 2147483647)
[1038536.609] wl_pointer@20.frame()
[1038536.775]  -> wl_surface@65.commit()
[1038536.901]  -> wl_display@1.sync(new id wl_callback@489)
[1038537.595] wl_display@1.delete_id(489)
[1038537.654] wl_buffer@230.release()
[1038537.947] wl_callback@489.done(10467)
[1038540.783] wl_pointer@20.motion(16040383, 492.000000, 18.000000)
[1038541.028] wl_pointer@20.frame()
[1038568.079] wl_display@1.delete_id(422)
[1038568.255] wl_callback@422.done(16040397)
[1038568.361]  -> wl_surface@65.frame(new id wl_callback@422)
[1038568.492]  -> wl_surface@65.attach(wl_buffer@230, 0, 0)
[1038568.600]  -> wl_surface@65.damage(0, 0, 2147483647, 2147483647)
[1038568.783] wl_pointer@20.motion(16040396, 480.000000, 17.000000)
[1038569.004] wl_pointer@20.frame()
[1038569.017]  -> wl_surface@65.commit()
[1038569.167]  -> wl_display@1.sync(new id wl_callback@489)
[1038569.408] wl_pointer@20.motion(16040409, 469.000000, 15.000000)
[1038569.589] wl_pointer@20.frame()
[1038569.678] wl_display@1.delete_id(489)
[1038570.217] wl_buffer@268.release()
[1038570.300] wl_callback@489.done(10467)
[1038579.717] wl_pointer@20.motion(16040422, 457.000000, 14.000000)
[1038579.895] wl_pointer@20.frame()
[1038594.466] wl_display@1.delete_id(422)
[1038594.594] wl_callback@422.done(16040430)
[1038594.678]  -> wl_surface@65.frame(new id wl_callback@422)
[1038594.801]  -> wl_surface@65.attach(wl_buffer@268, 0, 0)
[1038594.922]  -> wl_surface@65.damage(0, 0, 2147483647, 2147483647)
[1038595.186] wl_pointer@20.motion(16040435, 442.000000, 13.000000)
[1038595.196]  -> wl_surface@65.commit()
[1038595.480]  -> wl_display@1.sync(new id wl_callback@489)
[1038595.720] wl_pointer@20.frame()
[1038595.846] wl_display@1.delete_id(489)
[1038596.449] wl_buffer@509.release()
[1038596.670] wl_callback@489.done(10467)
[1038605.714] wl_pointer@20.motion(16040448, 432.000000, 13.000000)
[1038605.878] wl_pointer@20.frame()
[1038618.610] wl_display@1.delete_id(422)
[1038619.313] wl_callback@422.done(16040447)
[1038619.459]  -> wl_surface@65.frame(new id wl_callback@422)
[1038619.623]  -> wl_surface@65.attach(wl_buffer@509, 0, 0)
[1038619.765]  -> wl_surface@65.damage(0, 0, 2147483647, 2147483647)
[1038620.141]  -> wl_surface@65.commit()
[1038620.231]  -> wl_display@1.sync(new id wl_callback@489)
[1038620.641] wl_display@1.delete_id(489)
[1038620.778] wl_pointer@20.motion(16040461, 422.000000, 13.000000)
[1038621.009] wl_pointer@20.frame()
[1038621.605] wl_buffer@230.release()
[1038621.826] wl_callback@489.done(10467)
[1038626.462] wl_buffer@63.release()
[1038626.530] wl_callback@435.done(10467)
[1038626.593] wl_buffer@488.release()
[1038626.643]  -> wl_buffer@488.destroy()
[1038629.282]  -> wl_surface@22.frame(new id wl_callback@402)
[1038629.396]  -> wl_surface@22.attach(wl_buffer@63, 0, 0)
[1038629.474]  -> wl_surface@22.damage(0, 0, 2147483647, 2147483647)
[1038629.637]  -> wl_surface@22.commit()
[1038629.695]  -> wl_display@1.sync(new id wl_callback@435)
[1038630.035] wl_display@1.delete_id(488)
[1038630.260] wl_display@1.delete_id(435)
[1038650.900] wl_display@1.delete_id(402)
[1038651.037] wl_display@1.delete_id(422)
[1038651.191] wl_callback@422.done(16040480)
[1038651.317]  -> wl_surface@65.frame(new id wl_callback@422)
[1038651.495]  -> wl_surface@65.attach(wl_buffer@230, 0, 0)
[1038651.615]  -> wl_surface@65.damage(0, 0, 2147483647, 2147483647)
[1038651.952] wl_pointer@20.motion(16040474, 410.000000, 12.000000)
[1038651.997]  -> wl_surface@65.commit()
[1038652.442]  -> wl_display@1.sync(new id wl_callback@488)
[1038652.614] wl_pointer@20.frame()
[1038652.692] wl_pointer@20.motion(16040487, 395.000000, 12.000000)
[1038652.841] wl_pointer@20.frame()
[1038652.923] wl_callback@402.done(16040480)
[1038653.035] wl_display@1.delete_id(488)
[1038653.734] wl_buffer@268.release()
[1038653.903] wl_callback@488.done(10467)
[1038661.816] wl_pointer@20.motion(16040500, 379.000000, 12.000000)
[1038661.969] wl_pointer@20.frame()
[1038684.808] wl_display@1.delete_id(422)
[1038685.010] wl_callback@422.done(16040514)
[1038685.121]  -> wl_surface@65.frame(new id wl_callback@422)
[1038685.261]  -> wl_surface@65.attach(wl_buffer@268, 0, 0)
[1038685.369]  -> wl_surface@65.damage(0, 0, 2147483647, 2147483647)
[1038685.682]  -> wl_surface@65.commit()
[1038685.792]  -> wl_display@1.sync(new id wl_callback@488)
[1038686.025] wl_pointer@20.motion(16040513, 368.000000, 12.000000)
[1038686.189] wl_pointer@20.frame()
[1038686.260] wl_pointer@20.motion(16040526, 360.000000, 12.000000)
[1038686.378] wl_pointer@20.frame()
[1038686.448] wl_display@1.delete_id(488)
[1038689.628] wl_buffer@509.release()
[1038689.733] wl_callback@488.done(10467)
[1038689.880] wl_callback@435.done(10467)
[1038689.937] wl_buffer@454.release()
[1038691.880]  -> zkde_screencast_unstable_v1@242.stream_window(new id zkde_screencast_stream_unstable_v1@435, "{fdca79e6-3f0f-4f97-aa2d-0928e628ed57}", 1)
[1038694.157]  -> wl_surface@22.frame(new id wl_callback@402)
[1038694.948]  -> wl_surface@22.attach(wl_buffer@454, 0, 0)
[1038695.755]  -> wl_surface@22.damage(0, 0, 2147483647, 2147483647)
[1038696.754]  -> wl_surface@22.commit()
[1038696.810]  -> wl_display@1.sync(new id wl_callback@488)
[1038700.935] wl_display@1.delete_id(488)
[1038716.501] wl_display@1.delete_id(402)
[1038717.012] wl_display@1.delete_id(422)
[1038717.222] wl_callback@422.done(16040547)
[1038717.458]  -> wl_surface@65.frame(new id wl_callback@422)
[1038717.744]  -> wl_surface@65.attach(wl_buffer@509, 0, 0)
[1038718.007]  -> wl_surface@65.damage(0, 0, 2147483647, 2147483647)
[1038718.536]  -> wl_surface@65.commit()
[1038718.761]  -> wl_display@1.sync(new id wl_callback@489)
[1038724.369]  -> zkde_screencast_unstable_v1@242.stream_window(new id zkde_screencast_stream_unstable_v1@474, "{fdca79e6-3f0f-4f97-aa2d-0928e628ed57}", 1)
[1038755.919]  -> zkde_screencast_unstable_v1@242.stream_window(new id zkde_screencast_stream_unstable_v1@452, "{0e994e9c-d205-410a-8442-882be2f43ca6}", 1)
[1038807.351]  -> zkde_screencast_unstable_v1@242.stream_window(new id zkde_screencast_stream_unstable_v1@484, "{939312ba-c864-4a9d-9fbc-4e0e209da3ce}", 1)
[1038845.750]  -> zkde_screencast_unstable_v1@242.stream_window(new id zkde_screencast_stream_unstable_v1@511, "{bf2da9ef-e50b-4672-a063-2d07a8153f32}", 1)
[1038887.840]  -> zkde_screencast_unstable_v1@242.stream_window(new id zkde_screencast_stream_unstable_v1@499, "{c6b07391-e3f3-4118-9f10-5b64478de299}", 1)
[1038927.275]  -> zkde_screencast_unstable_v1@242.stream_window(new id zkde_screencast_stream_unstable_v1@505, "{14c143de-ccff-4cc0-aff4-63f9420294ba}", 1)
[1038969.391]  -> zkde_screencast_unstable_v1@242.stream_window(new id zkde_screencast_stream_unstable_v1@519, "{8ddd2262-4549-4956-8524-1a3ede10a93f}", 1)
[1038976.507]  -> xdg_surface@334.set_window_geometry(0, 0, 1366, 201)
[1038991.736]  -> zkde_screencast_unstable_v1@242.stream_window(new id zkde_screencast_stream_unstable_v1@520, "{fdca79e6-3f0f-4f97-aa2d-0928e628ed57}", 1)
[1038991.960]  -> zkde_screencast_unstable_v1@242.stream_window(new id zkde_screencast_stream_unstable_v1@521, "{0e994e9c-d205-410a-8442-882be2f43ca6}", 1)
[1038992.148]  -> zkde_screencast_unstable_v1@242.stream_window(new id zkde_screencast_stream_unstable_v1@522, "{939312ba-c864-4a9d-9fbc-4e0e209da3ce}", 1)
[1038992.382]  -> zkde_screencast_unstable_v1@242.stream_window(new id zkde_screencast_stream_unstable_v1@523, "{bf2da9ef-e50b-4672-a063-2d07a8153f32}", 1)
[1038992.556]  -> zkde_screencast_unstable_v1@242.stream_window(new id zkde_screencast_stream_unstable_v1@524, "{c6b07391-e3f3-4118-9f10-5b64478de299}", 1)
[1038992.730]  -> zkde_screencast_unstable_v1@242.stream_window(new id zkde_screencast_stream_unstable_v1@525, "{14c143de-ccff-4cc0-aff4-63f9420294ba}", 1)
[1038992.903]  -> zkde_screencast_unstable_v1@242.stream_window(new id zkde_screencast_stream_unstable_v1@526, "{8ddd2262-4549-4956-8524-1a3ede10a93f}", 1)
[1038993.107]  -> org_kde_kwin_blur_manager@36.create(new id org_kde_kwin_blur@527, wl_surface@64)
[1038993.229]  -> wl_compositor@4.create_region(new id wl_region@528)
[1038993.316]  -> wl_region@528.add(1, 0, 298, 1)
[1038993.414]  -> wl_region@528.add(0, 1, 300, 199)
[1038993.521]  -> wl_region@528.add(1, 200, 298, 1)
[1038993.621]  -> org_kde_kwin_blur@527.set_region(wl_region@528)
[1038993.704]  -> org_kde_kwin_blur@527.commit()
[1038993.829]  -> org_kde_kwin_shadow@514.destroy()
[1038993.912]  -> org_kde_kwin_shadow_manager@93.create(new id org_kde_kwin_shadow@529, wl_surface@64)
[1038993.984]  -> org_kde_kwin_shadow@529.attach_left(wl_buffer@174)
[1038994.039]  -> org_kde_kwin_shadow@529.attach_top_left(wl_buffer@167)
[1038994.123]  -> org_kde_kwin_shadow@529.attach_top(wl_buffer@296)
[1038994.179]  -> org_kde_kwin_shadow@529.attach_top_right(wl_buffer@292)
[1038994.233]  -> org_kde_kwin_shadow@529.attach_right(wl_buffer@289)
[1038994.287]  -> org_kde_kwin_shadow@529.attach_bottom_right(wl_buffer@287)
[1038994.343]  -> org_kde_kwin_shadow@529.attach_bottom(wl_buffer@284)
[1038994.397]  -> org_kde_kwin_shadow@529.attach_bottom_left(wl_buffer@328)
[1038994.449]  -> org_kde_kwin_shadow@529.set_left_offset(10.000000)
[1038994.508]  -> org_kde_kwin_shadow@529.set_top_offset(10.000000)
[1038994.567]  -> org_kde_kwin_shadow@529.set_right_offset(10.000000)
[1038994.626]  -> org_kde_kwin_shadow@529.set_bottom_offset(10.000000)
[1038994.685]  -> org_kde_kwin_shadow@529.commit()
[1038994.991]  -> xdg_surface@334.set_window_geometry(0, 0, 1366, 201)
[1038996.194]  -> org_kde_kwin_blur_manager@36.create(new id org_kde_kwin_blur@530, wl_surface@64)
[1038996.291]  -> wl_compositor@4.create_region(new id wl_region@531)
[1038996.350]  -> wl_region@531.add(1, 0, 1364, 1)
[1038996.416]  -> wl_region@531.add(0, 1, 1366, 199)
[1038996.485]  -> wl_region@531.add(1, 200, 1364, 1)
[1038996.554]  -> org_kde_kwin_blur@530.set_region(wl_region@531)
[1038996.607]  -> org_kde_kwin_blur@530.commit()
[1038996.682]  -> org_kde_kwin_shadow@529.destroy()
[1038996.756]  -> org_kde_kwin_shadow_manager@93.create(new id org_kde_kwin_shadow@532, wl_surface@64)
[1038996.824]  -> org_kde_kwin_shadow@532.attach_left(wl_buffer@174)
[1038996.874]  -> org_kde_kwin_shadow@532.attach_top_left(wl_buffer@167)
[1038996.924]  -> org_kde_kwin_shadow@532.attach_top(wl_buffer@296)
[1038996.975]  -> org_kde_kwin_shadow@532.attach_top_right(wl_buffer@292)
[1038997.026]  -> org_kde_kwin_shadow@532.attach_right(wl_buffer@289)
[1038997.078]  -> org_kde_kwin_shadow@532.attach_bottom_right(wl_buffer@287)
[1038997.132]  -> org_kde_kwin_shadow@532.attach_bottom(wl_buffer@284)
[1038997.183]  -> org_kde_kwin_shadow@532.attach_bottom_left(wl_buffer@328)
[1038997.237]  -> org_kde_kwin_shadow@532.set_left_offset(10.000000)
[1038997.303]  -> org_kde_kwin_shadow@532.set_top_offset(10.000000)
[1038997.386]  -> org_kde_kwin_shadow@532.set_right_offset(10.000000)
[1038997.495]  -> org_kde_kwin_shadow@532.set_bottom_offset(10.000000)
[1038997.591]  -> org_kde_kwin_shadow@532.commit()
[1038998.050]  -> org_kde_kwin_blur_manager@36.create(new id org_kde_kwin_blur@533, wl_surface@64)
[1038998.183]  -> wl_compositor@4.create_region(new id wl_region@534)
[1038998.279]  -> wl_region@534.add(1, 0, 1364, 1)
[1038998.384]  -> wl_region@534.add(0, 1, 1366, 199)
[1038998.496]  -> wl_region@534.add(1, 200, 1364, 1)
[1038998.603]  -> org_kde_kwin_blur@533.set_region(wl_region@534)
[1038998.683]  -> org_kde_kwin_blur@533.commit()
[1038998.792]  -> org_kde_kwin_shadow@532.destroy()
[1038998.900]  -> org_kde_kwin_shadow_manager@93.create(new id org_kde_kwin_shadow@535, wl_surface@64)
[1038999.026]  -> org_kde_kwin_shadow@535.attach_left(wl_buffer@174)
[1038999.108]  -> org_kde_kwin_shadow@535.attach_top_left(wl_buffer@167)
[1038999.198]  -> org_kde_kwin_shadow@535.attach_top(wl_buffer@296)
[1038999.282]  -> org_kde_kwin_shadow@535.attach_top_right(wl_buffer@292)
[1038999.362]  -> org_kde_kwin_shadow@535.attach_right(wl_buffer@289)
[1038999.433]  -> org_kde_kwin_shadow@535.attach_bottom_right(wl_buffer@287)
[1038999.506]  -> org_kde_kwin_shadow@535.attach_bottom(wl_buffer@284)
[1038999.582]  -> org_kde_kwin_shadow@535.attach_bottom_left(wl_buffer@328)
[1038999.666]  -> org_kde_kwin_shadow@535.set_left_offset(10.000000)
[1038999.790]  -> org_kde_kwin_shadow@535.set_top_offset(10.000000)
[1038999.952]  -> org_kde_kwin_shadow@535.set_right_offset(10.000000)
[1039000.016]  -> org_kde_kwin_shadow@535.set_bottom_offset(10.000000)
[1039000.078]  -> org_kde_kwin_shadow@535.commit()
[1039000.690]  -> org_kde_kwin_blur_manager@36.create(new id org_kde_kwin_blur@536, wl_surface@64)
[1039000.820]  -> wl_compositor@4.create_region(new id wl_region@537)
[1039000.902]  -> wl_region@537.add(1, 0, 1364, 1)
[1039000.999]  -> wl_region@537.add(0, 1, 1366, 199)
[1039001.105]  -> wl_region@537.add(1, 200, 1364, 1)
[1039001.225]  -> org_kde_kwin_blur@536.set_region(wl_region@537)
[1039001.302]  -> org_kde_kwin_blur@536.commit()
[1039055.400] wl_callback@518.done(10467)
[1039055.482] wl_buffer@508.release()
[1039055.539]  -> wl_buffer@508.destroy()
[1039059.750]  -> wl_surface@64.frame(new id wl_callback@349)
[1039059.884]  -> zwp_linux_dmabuf_v1@26.create_params(new id zwp_linux_buffer_params_v1@518)
[1039059.992]  -> zwp_linux_buffer_params_v1@518.add(fd 73, 0, 0, 5504, 16777216, 2)
[1039060.121]  -> zwp_linux_buffer_params_v1@518.create_immed(new id wl_buffer@538, 1366, 201, 875713089, 0)
[1039060.250]  -> zwp_linux_buffer_params_v1@518.destroy()
[1039060.320]  -> wl_surface@64.attach(wl_buffer@538, 0, 0)
[1039060.413]  -> wl_surface@64.damage(0, 0, 2147483647, 2147483647)
[1039060.611]  -> wl_surface@64.commit()
[1039060.693]  -> wl_display@1.sync(new id wl_callback@539)
[1039060.876]  -> org_kde_plasma_surface@66.set_position(0, 523)
[1039060.953] wl_pointer@20.motion(16040539, 348.000000, 12.000000)
[1039061.052] wl_pointer@20.frame()
[1039061.103] wl_pointer@20.motion(16040552, 338.000000, 14.000000)
[1039061.242] wl_pointer@20.frame()
[1039061.323] wl_callback@402.done(16040547)
[1039061.477] wl_display@1.delete_id(489)
[1039061.557] wl_display@1.delete_id(422)
[1039061.625] wl_display@1.delete_id(514)
[1039061.689] wl_display@1.delete_id(529)
[1039061.756] wl_display@1.delete_id(532)
[1039061.841] wl_callback@422.done(16040564)
[1039061.947] wl_pointer@20.motion(16040565, 329.000000, 16.000000)
[1039062.095] wl_pointer@20.frame()
[1039062.165] wl_pointer@20.motion(16040578, 322.000000, 17.000000)
[1039062.313] wl_pointer@20.frame()
[1039062.381] wl_pointer@20.motion(16040591, 318.000000, 18.000000)
[1039062.516] wl_pointer@20.frame()
[1039062.585] wl_pointer@20.motion(16040604, 314.000000, 19.000000)
[1039062.739] wl_pointer@20.frame()
[1039062.815] wl_pointer@20.motion(16040617, 310.000000, 20.000000)
[1039062.961] wl_pointer@20.frame()
[1039063.031] wl_pointer@20.motion(16040630, 307.000000, 21.000000)
[1039063.162] wl_pointer@20.frame()
[1039063.232] wl_pointer@20.motion(16040644, 304.000000, 21.000000)
[1039063.363] wl_pointer@20.frame()
[1039063.429] wl_pointer@20.motion(16040657, 301.000000, 21.000000)
[1039063.564] wl_pointer@20.frame()
[1039063.631] wl_pointer@20.motion(16040670, 299.000000, 21.000000)
[1039063.795] wl_pointer@20.frame()
[1039063.874] wl_pointer@20.motion(16040683, 296.000000, 21.000000)
[1039064.017] wl_pointer@20.frame()
[1039064.099] wl_pointer@20.motion(16040696, 296.000000, 20.000000)
[1039064.243] wl_pointer@20.frame()
[1039064.309] wl_pointer@20.motion(16040709, 294.000000, 19.000000)
[1039064.443] wl_pointer@20.frame()
[1039064.512] wl_pointer@20.motion(16040722, 294.000000, 18.000000)
[1039064.649] wl_pointer@20.frame()
[1039064.718] wl_pointer@20.motion(16040735, 291.000000, 12.000000)
[1039064.853] wl_pointer@20.frame()
[1039064.925] wl_pointer@20.motion(16040748, 288.000000, 7.000000)
[1039065.065] wl_pointer@20.frame()
[1039065.136] wl_pointer@20.motion(16040761, 286.000000, 1.000000)
[1039065.285] wl_pointer@20.frame()
[1039065.352] wl_pointer@20.leave(10468, wl_surface@65)
[1039065.447] wl_pointer@20.frame()
[1039065.516] zkde_screencast_stream_unstable_v1@474.failed("Failed to create PipeWire stream")
error creating screencast "Failed to create PipeWire stream"
[1039065.623] zkde_screencast_stream_unstable_v1@452.failed("Failed to create PipeWire stream")
error creating screencast "Failed to create PipeWire stream"
[1039065.723] zkde_screencast_stream_unstable_v1@484.failed("Failed to create PipeWire stream")
error creating screencast "Failed to create PipeWire stream"
[1039065.821] zkde_screencast_stream_unstable_v1@511.failed("Failed to create PipeWire stream")
error creating screencast "Failed to create PipeWire stream"
[1039065.912] zkde_screencast_stream_unstable_v1@499.failed("Failed to create PipeWire stream")
error creating screencast "Failed to create PipeWire stream"
[1039066.017] zkde_screencast_stream_unstable_v1@505.failed("Failed to create PipeWire stream")
error creating screencast "Failed to create PipeWire stream"
[1039066.114] zkde_screencast_stream_unstable_v1@519.failed("Failed to create PipeWire stream")
error creating screencast "Failed to create PipeWire stream"
[1039066.221] zkde_screencast_stream_unstable_v1@520.failed("Failed to create PipeWire stream")
error creating screencast "Failed to create PipeWire stream"
[1039066.321] zkde_screencast_stream_unstable_v1@521.failed("Failed to create PipeWire stream")
error creating screencast "Failed to create PipeWire stream"
[1039066.423] zkde_screencast_stream_unstable_v1@522.failed("Failed to create PipeWire stream")
error creating screencast "Failed to create PipeWire stream"
[1039066.522] zkde_screencast_stream_unstable_v1@523.failed("Failed to create PipeWire stream")
error creating screencast "Failed to create PipeWire stream"
[1039066.617] zkde_screencast_stream_unstable_v1@524.failed("Failed to create PipeWire stream")
error creating screencast "Failed to create PipeWire stream"
[1039066.722] zkde_screencast_stream_unstable_v1@525.failed("Failed to create PipeWire stream")
error creating screencast "Failed to create PipeWire stream"
[1039066.814] zkde_screencast_stream_unstable_v1@526.failed("Failed to create PipeWire stream")
error creating screencast "Failed to create PipeWire stream"
[1039066.907] wl_buffer@174.release()
[1039066.968] wl_buffer@167.release()
[1039067.028] wl_buffer@296.release()
[1039067.095] wl_buffer@292.release()
[1039067.157] wl_buffer@289.release()
[1039067.218] wl_buffer@287.release()
[1039067.277] wl_buffer@284.release()
[1039067.336] wl_buffer@328.release()
[1039067.400] wl_buffer@174.release()
[1039067.466] wl_buffer@167.release()
[1039067.528] wl_buffer@296.release()
[1039067.595] wl_buffer@292.release()
[1039067.655] wl_buffer@289.release()
[1039067.767] wl_buffer@287.release()
[1039067.850] wl_buffer@284.release()
[1039067.893] wl_buffer@328.release()
[1039067.935] wl_buffer@174.release()
[1039067.977] wl_buffer@167.release()
[1039068.018] wl_buffer@296.release()
[1039068.071] wl_buffer@292.release()
[1039068.137] wl_buffer@289.release()
[1039068.200] wl_buffer@287.release()
[1039068.260] wl_buffer@284.release()
[1039068.317] wl_buffer@328.release()
[1039069.140] wl_callback@488.done(10467)
[1039069.234] wl_buffer@63.release()
[1039070.290]  -> zkde_screencast_stream_unstable_v1@485.close()
[1039075.746]  -> wl_surface@22.frame(new id wl_callback@402)
[1039075.958]  -> wl_surface@22.attach(wl_buffer@63, 0, 0)
[1039076.075]  -> wl_surface@22.damage(0, 0, 2147483647, 2147483647)
[1039076.374]  -> wl_surface@22.commit()
[1039076.438]  -> wl_display@1.sync(new id wl_callback@488)
[1039076.859]  -> zkde_screencast_stream_unstable_v1@474.close()
[1039076.943]  -> zkde_screencast_stream_unstable_v1@452.close()
[1039077.007]  -> zkde_screencast_stream_unstable_v1@484.close()
[1039077.069]  -> zkde_screencast_stream_unstable_v1@511.close()
[1039077.117] wl_buffer@230.release()
[1039077.126]  -> zkde_screencast_stream_unstable_v1@499.close()
[1039077.279]  -> zkde_screencast_stream_unstable_v1@505.close()
[1039077.376]  -> zkde_screencast_stream_unstable_v1@519.close()
[1039077.688] wl_callback@489.done(10467)
[1039077.753] wl_buffer@268.release()
[1039077.808]  -> wl_buffer@268.destroy()
[1039078.952]  -> wl_surface@65.frame(new id wl_callback@422)
[1039079.065]  -> wl_surface@65.attach(wl_buffer@230, 0, 0)
[1039079.149]  -> wl_surface@65.damage(0, 0, 2147483647, 2147483647)
[1039079.415]  -> wl_surface@65.commit()
[1039079.493]  -> wl_display@1.sync(new id wl_callback@489)
[1039081.313] wl_display@1.delete_id(508)
[1039081.489] wl_display@1.delete_id(518)
[1039081.543] wl_display@1.delete_id(539)
[1039081.605] wl_display@1.delete_id(349)
[1039081.663] wl_display@1.delete_id(485)
[1039081.722] wl_display@1.delete_id(488)
[1039081.781] wl_display@1.delete_id(474)
[1039081.842] wl_display@1.delete_id(452)
[1039081.900] wl_display@1.delete_id(484)
[1039081.959] wl_display@1.delete_id(511)
[1039082.023] wl_display@1.delete_id(499)
[1039082.080] wl_display@1.delete_id(505)
[1039082.137] wl_display@1.delete_id(519)
[1039082.193] wl_display@1.delete_id(268)
[1039082.251] wl_display@1.delete_id(489)
[1039082.309] wl_pointer@20.enter(10471, wl_surface@64, 252.000000, 86.000000)
[1039082.450]  -> wl_pointer@20.set_cursor(10471, wl_surface@241, 4, 4)
[1039082.546]  -> wl_surface@241.set_buffer_scale(1)
[1039082.609]  -> wl_surface@241.attach(wl_buffer@231, 0, 0)
[1039082.684]  -> wl_surface@241.damage(0, 0, 32, 32)
[1039082.772]  -> wl_surface@241.commit()
[1039082.832] wl_pointer@20.frame()
[1039082.893] wl_pointer@20.frame()
[1039082.953] wl_callback@349.done(16040899)
[1039099.687] wl_pointer@20.motion(16040931, 251.000000, 83.000000)
[1039099.904] wl_pointer@20.frame()
[1039099.977] wl_callback@539.done(10469)
[1039100.173] wl_buffer@517.release()
[1039100.357]  -> wl_buffer@517.destroy()
[1039102.457]  -> wl_surface@64.frame(new id wl_callback@349)
[1039102.747]  -> zwp_linux_dmabuf_v1@26.create_params(new id zwp_linux_buffer_params_v1@539)
[1039103.055]  -> zwp_linux_buffer_params_v1@539.add(fd 73, 0, 0, 5504, 16777216, 2)
[1039103.420]  -> zwp_linux_buffer_params_v1@539.create_immed(new id wl_buffer@268, 1366, 201, 875713089, 0)
[1039103.694]  -> zwp_linux_buffer_params_v1@539.destroy()
[1039103.763]  -> wl_surface@64.attach(wl_buffer@268, 0, 0)
[1039103.881]  -> wl_surface@64.damage(0, 0, 2147483647, 2147483647)
[1039104.010] wl_display@1.delete_id(402)
[1039104.069] wl_display@1.delete_id(422)
[1039104.199] wl_callback@402.done(16040932)
[1039104.216]  -> wl_surface@64.commit()
[1039104.389]  -> wl_display@1.sync(new id wl_callback@519)
[1039104.513] wl_callback@422.done(16040932)
[1039104.655] wl_display@1.delete_id(517)
[1039104.715] wl_display@1.delete_id(539)
[1039104.775] wl_display@1.delete_id(519)
[1039106.585] wl_callback@489.done(10471)
[1039106.690] wl_buffer@509.release()
[1039107.964] wl_callback@488.done(10471)
[1039108.075] wl_buffer@454.release()
[1039108.705]  -> wl_surface@65.frame(new id wl_callback@422)
[1039108.848]  -> wl_surface@65.attach(wl_buffer@509, 0, 0)
[1039108.950]  -> wl_surface@65.damage(0, 0, 2147483647, 2147483647)
[1039109.152]  -> wl_surface@65.commit()
[1039109.237]  -> wl_display@1.sync(new id wl_callback@488)
[1039112.605]  -> wl_surface@22.frame(new id wl_callback@402)
[1039112.802]  -> wl_surface@22.attach(wl_buffer@454, 0, 0)
[1039112.897]  -> wl_surface@22.damage(0, 0, 2147483647, 2147483647)
[1039113.247]  -> wl_surface@22.commit()
[1039113.334]  -> wl_display@1.sync(new id wl_callback@489)
[1039113.678] wl_display@1.delete_id(488)
[1039113.770] wl_display@1.delete_id(489)
[1039114.034] wl_callback@489.done(10471)
[1039125.994] wl_pointer@20.motion(16040957, 251.000000, 82.000000)
[1039126.163] wl_pointer@20.frame()
[1039136.465] wl_display@1.delete_id(402)
[1039136.578] wl_display@1.delete_id(422)
[1039136.649] wl_display@1.delete_id(349)
[1039136.725] wl_callback@402.done(16040966)
[1039136.829]  -> wl_surface@22.frame(new id wl_callback@402)
[1039136.954] wl_callback@349.done(16040966[1039136.958]  -> zwp_linux_dmabuf_v1@26.create_params(new id zwp_linux_buffer_params_v1@489)
)
[1039137.174] wl_callback@422.done(16040966)
[1039137.196]  -> zwp_linux_buffer_params_v1@489.add(fd 73, 0, 0, 5504, 16777216, 2)
[1039137.406]  -> zwp_linux_buffer_params_v1@489.create_immed(new id wl_buffer@539, 1366, 768, 875713089, 0)
[1039137.548]  -> zwp_linux_buffer_params_v1@489.destroy()
[1039137.626]  -> wl_surface@22.attach(wl_buffer@539, 0, 0)
[1039137.728]  -> wl_surface@22.damage(0, 0, 2147483647, 2147483647)
[1039137.911] wl_pointer@20.frame()
[1039138.042]  -> wl_surface@22.commit()
[1039138.098]  -> wl_display@1.sync(new id wl_callback@517)
[1039138.417] wl_display@1.delete_id(489)
[1039138.471] wl_display@1.delete_id(517)
[1039138.692] wl_callback@488.done(10471)
[1039138.748] wl_buffer@230.release()
[1039140.096]  -> wl_surface@65.frame(new id wl_callback@422)
[1039140.362]  -> wl_surface@65.attach(wl_buffer@230, 0, 0)
[1039140.580]  -> wl_surface@65.damage(0, 0, 2147483647, 2147483647)
[1039140.799]  -> wl_surface@65.commit()
[1039140.894]  -> wl_display@1.sync(new id wl_callback@488)
[1039141.157] wl_display@1.delete_id(488)
[1039153.845] wl_pointer@20.motion(16040996, 251.000000, 81.000000)
[1039154.016] wl_pointer@20.frame()
[1039170.251] wl_display@1.delete_id(402)
[1039170.389] wl_display@1.delete_id(422)
[1039170.458] wl_pointer@20.frame()
[1039170.520] wl_callback@402.done(16040999)
[1039170.612] wl_callback@422.done(16040999)
[1039172.405] wl_callback@488.done(10471)
[1039172.537] wl_buffer@509.release()
[1039174.478]  -> wl_surface@65.frame(new id wl_callback@422)
[1039174.624]  -> wl_surface@65.attach(wl_buffer@509, 0, 0)
[1039174.719]  -> wl_surface@65.damage(0, 0, 2147483647, 2147483647)
[1039174.984]  -> wl_surface@65.commit()
[1039175.068]  -> wl_display@1.sync(new id wl_callback@488)
[1039176.030] wl_buffer@63.release()
[1039176.125] wl_callback@517.done(10471)
[1039176.193] wl_buffer@454.release()
[1039176.260]  -> wl_buffer@454.destroy()
[1039181.233]  -> wl_surface@22.frame(new id wl_callback@402)
[1039181.408]  -> wl_surface@22.attach(wl_buffer@63, 0, 0)
[1039181.521]  -> wl_surface@22.damage(0, 0, 2147483647, 2147483647)
[1039181.749]  -> wl_surface@22.commit()
[1039181.826]  -> wl_display@1.sync(new id wl_callback@517)
[1039182.114] wl_display@1.delete_id(488)
[1039182.184] wl_display@1.delete_id(454)
[1039182.261] wl_display@1.delete_id(517)
[1039202.172] wl_display@1.delete_id(402)
[1039202.283] wl_display@1.delete_id(422)
[1039202.359] wl_callback@402.done(16041032)
[1039202.460] wl_callback@422.done(16041032)
[1039202.953] wl_callback@488.done(10471)
[1039203.023] wl_buffer@230.release()
[1039203.332] wl_callback@517.done(10471)
[1039203.397] wl_buffer@539.release()
[1039204.520]  -> wl_surface@65.frame(new id wl_callback@422)
[1039204.655]  -> wl_surface@65.attach(wl_buffer@230, 0, 0)
[1039204.728]  -> wl_surface@65.damage(0, 0, 2147483647, 2147483647)
[1039204.880]  -> wl_surface@65.commit()
[1039204.937]  -> wl_display@1.sync(new id wl_callback@517)
[1039205.339] wl_display@1.delete_id(517)
[1039207.727]  -> wl_surface@22.frame(new id wl_callback@402)
[1039207.953]  -> wl_surface@22.attach(wl_buffer@539, 0, 0)
[1039208.052]  -> wl_surface@22.damage(0, 0, 2147483647, 2147483647)
[1039208.278]  -> wl_surface@22.commit()
[1039208.374]  -> wl_display@1.sync(new id wl_callback@488)
[1039208.641] wl_display@1.delete_id(488)
[1039234.384] wl_display@1.delete_id(402)
[1039234.501] wl_display@1.delete_id(422)
[1039234.583] wl_callback@402.done(16041066)
[1039234.679] wl_callback@422.done(16041066)
[1039235.048] wl_callback@517.done(10471)
[1039235.148] wl_buffer@509.release()
[1039236.177]  -> wl_surface@65.frame(new id wl_callback@422)
[1039236.322]  -> wl_surface@65.attach(wl_buffer@509, 0, 0)
[1039236.431]  -> wl_surface@65.damage(0, 0, 2147483647, 2147483647)
[1039236.777]  -> wl_surface@65.commit()
[1039236.834]  -> wl_display@1.sync(new id wl_callback@517)
[1039237.235] wl_display@1.delete_id(517)
[1039267.763] wl_display@1.delete_id(422)
[1039267.910] wl_callback@422.done(16041099)
[1039268.333] wl_callback@517.done(10471)
[1039268.429] wl_buffer@230.release()
[1039269.806]  -> wl_surface@65.frame(new id wl_callback@422)
[1039269.957]  -> wl_surface@65.attach(wl_buffer@230, 0, 0)
[1039270.078]  -> wl_surface@65.damage(0, 0, 2147483647, 2147483647)
[1039270.356]  -> wl_surface@65.commit()
[1039270.458]  -> wl_display@1.sync(new id wl_callback@517)
[1039270.862] wl_display@1.delete_id(517)
[1039301.361] wl_display@1.delete_id(422)
[1039301.491] wl_callback@422.done(16041133)
[1039301.885] wl_callback@517.done(10471)
[1039301.974] wl_buffer@509.release()
[1039302.997]  -> wl_surface@65.frame(new id wl_callback@422)
[1039303.140]  -> wl_surface@65.attach(wl_buffer@509, 0, 0)
[1039303.226]  -> wl_surface@65.damage(0, 0, 2147483647, 2147483647)
[1039303.396]  -> wl_surface@65.commit()
[1039303.459]  -> wl_display@1.sync(new id wl_callback@517)
[1039303.802] wl_display@1.delete_id(517)
[1039335.405] wl_display@1.delete_id(422)
[1039335.502] wl_callback@422.done(16041166)
[1039335.597]  -> wl_surface@65.frame(new id wl_callback@422)
[1039335.769] wl_callback@517.done(10471)
[1039335.862] wl_buffer@230.release()
[1039335.911]  -> zwp_linux_dmabuf_v1@26.create_params(new id zwp_linux_buffer_params_v1@517)
[1039336.035]  -> zwp_linux_buffer_params_v1@517.add(fd 73, 0, 0, 5504, 16777216, 2)
[1039336.161]  -> zwp_linux_buffer_params_v1@517.create_immed(new id wl_buffer@454, 1366, 44, 875713089, 0)
[1039336.303]  -> zwp_linux_buffer_params_v1@517.destroy()
[1039336.365]  -> wl_surface@65.attach(wl_buffer@454, 0, 0)
[1039336.449]  -> wl_surface@65.damage(0, 0, 2147483647, 2147483647)
[1039336.728]  -> wl_surface@65.commit()
[1039336.806]  -> wl_display@1.sync(new id wl_callback@489)
[1039337.245] wl_display@1.delete_id(517)
[1039337.483] wl_display@1.delete_id(489)
[1039368.987] wl_display@1.delete_id(422)
[1039369.104] wl_callback@422.done(16041200)
[1039369.217]  -> wl_surface@65.frame(new id wl_callback@422)
[1039369.359] wl_callback@489.done(10471)
[1039369.505] wl_buffer@509.release()
[1039369.538]  -> wl_surface@65.attach(wl_buffer@230, 0, 0)
[1039369.648]  -> wl_surface@65.damage(0, 0, 2147483647, 2147483647)
[1039369.890]  -> wl_surface@65.commit()
[1039369.966]  -> wl_display@1.sync(new id wl_callback@489)
[1039370.448] wl_display@1.delete_id(489)
[1039370.976] wl_callback@489.done(10471)
[1039401.492] wl_display@1.delete_id(422)
[1039401.639] wl_callback@422.done(16041233)
[1039401.883]  -> wl_surface@65.frame(new id wl_callback@422)
[1039401.986]  -> wl_surface@65.attach(wl_buffer@509, 0, 0)
[1039402.076]  -> wl_surface@65.damage(0, 0, 2147483647, 2147483647)
[1039402.425] wl_pointer@20.motion(16041244, [1039402.427]  -> wl_surface@65.commit()
250.000000, 82.000000)
[1039402.587]  -> wl_display@1.sync(new id wl_callback@489)
[1039402.887] wl_pointer@20.frame()
[1039402.976] wl_display@1.delete_id(489)
[1039415.060] wl_pointer@20.motion(16041257, 247.000000, 85.000000)
[1039415.223] wl_pointer@20.frame()
[1039428.009] wl_pointer@20.motion(16041270, 246.000000, 90.000000)
[1039428.183] wl_pointer@20.frame()
[1039438.618] wl_display@1.delete_id(422)
[1039438.763] wl_callback@422.done(16041267)
[1039441.510] wl_pointer@20.motion(16041283, 244.000000, 102.000000)
[1039441.757] wl_pointer@20.frame()
[1039454.108] wl_pointer@20.motion(16041296, 244.000000, 121.000000)
[1039454.261] wl_pointer@20.frame()
[1039469.952] wl_pointer@20.motion(16041309, 244.000000, 136.000000)
[1039470.138] wl_pointer@20.frame()
[1039480.196] wl_pointer@20.motion(16041322, 245.000000, 146.000000)
[1039480.296] wl_pointer@20.frame()
[1039493.216] wl_pointer@20.motion(16041335, 247.000000, 155.000000)
[1039493.375] wl_pointer@20.frame()
[1039506.628] wl_pointer@20.motion(16041348, 249.000000, 162.000000)
[1039506.797] wl_pointer@20.frame()
[1039519.369] wl_pointer@20.motion(16041361, 253.000000, 170.000000)
[1039519.516] wl_pointer@20.frame()
[1039537.434] wl_pointer@20.motion(16041375, 254.000000, 176.000000)
[1039537.629] wl_pointer@20.frame()
[1039545.684] wl_pointer@20.motion(16041388, 255.000000, 181.000000)
[1039545.894] wl_pointer@20.frame()
[1039554.475] wl_callback@519.done(10471)
[1039554.564] wl_buffer@538.release()
[1039555.541]  -> wl_surface@64.frame(new id wl_callback@349)
[1039555.653]  -> wl_surface@64.attach(wl_buffer@538, 0, 0)
[1039555.737]  -> wl_surface@64.damage(0, 0, 2147483647, 2147483647)
[1039555.958]  -> wl_surface@64.commit()
[1039556.040]  -> wl_display@1.sync(new id wl_callback@519)
[1039556.267] wl_display@1.delete_id(519)
[1039558.519] wl_pointer@20.motion(16041401, 258.000000, 187.000000)
[1039558.714] wl_pointer@20.frame()
[1039571.751] wl_display@1.delete_id(349)
[1039572.005] wl_callback@349.done(16041401)
[1039572.128]  -> wl_surface@64.frame(new id wl_callback@349)
[1039572.259] wl_callback@519.done(10471)
[1039572.515] wl_buffer@268.release()
[1039572.526] wl_pointer@20.motion(16041414, 260.000000, 191.000000)
[1039572.627]  -> zwp_linux_dmabuf_v1@26.create_params(new id zwp_linux_buffer_params_v1@519)
[1039573.043] wl_pointer@20.frame()
[1039573.131]  -> zwp_linux_buffer_params_v1@519.add(fd 73, 0, 0, 5504, 16777216, 2)
[1039573.360]  -> zwp_linux_buffer_params_v1@519.create_immed(new id wl_buffer@517, 1366, 201, 875713089, 0)
[1039573.481]  -> zwp_linux_buffer_params_v1@519.destroy()
[1039573.549]  -> wl_surface@64.attach(wl_buffer@517, 0, 0)
[1039573.641]  -> wl_surface@64.damage(0, 0, 2147483647, 2147483647)
[1039574.272]  -> wl_surface@64.commit()
[1039574.364]  -> wl_display@1.sync(new id wl_callback@505)
[1039574.705] wl_display@1.delete_id(519)
[1039574.903] wl_display@1.delete_id(505)
[1039575.400] wl_callback@505.done(10471)
[1039584.645] wl_pointer@20.motion(16041427, 263.000000, 195.000000)
[1039584.819] wl_pointer@20.frame()
[1039603.948] wl_display@1.delete_id(349)
[1039604.067] wl_callback@349.done(16041434)
[1039604.172]  -> wl_surface@64.frame(new id wl_callback@349)
[1039604.303]  -> wl_surface@64.attach(wl_buffer@268, 0, 0)
[1039604.428]  -> wl_surface@64.damage(0, 0, 2147483647, 2147483647)
[1039604.698] wl_pointer@20.motion(16041440, [1039604.778]  -> wl_surface@64.commit()
265.000000, 199.000000)
[1039604.925]  -> wl_display@1.sync(new id wl_callback@505)
[1039605.353] wl_pointer@20.frame()
[1039605.452] wl_display@1.delete_id(505)
[1039607.020] wl_callback@488.done(10471)
[1039607.292] wl_buffer@63.release()
[1039611.728]  -> wl_surface@22.frame(new id wl_callback@402)
[1039611.946]  -> wl_surface@22.attach(wl_buffer@63, 0, 0)
[1039612.052]  -> wl_surface@22.damage(0, 0, 2147483647, 2147483647)
[1039612.375]  -> wl_surface@22.commit()
[1039612.462]  -> wl_display@1.sync(new id wl_callback@488)
[1039613.017] wl_display@1.delete_id(488)
[1039613.100] wl_pointer@20.leave(10472, wl_surface@64)
[1039613.196] wl_pointer@20.frame()
[1039613.263] wl_pointer@20.enter(10473, wl_surface@65, 266.000000, 0.000000)
[1039613.420]  -> wl_pointer@20.set_cursor(10473, wl_surface@241, 4, 4)
[1039613.541]  -> wl_surface@241.set_buffer_scale(1)
[1039613.615]  -> wl_surface@241.attach(wl_buffer@231, 0, 0)
[1039613.701]  -> wl_surface@241.damage(0, 0, 32, 32)
[1039613.795]  -> wl_surface@241.commit()
[1039613.868] wl_callback@488.done(10473)
[1039615.887] wl_pointer@20.frame()
[1039616.005] wl_pointer@20.frame()
[1039642.523] wl_display@1.delete_id(402)
[1039642.670] wl_display@1.delete_id(349)
[1039642.754] wl_callback@402.done(16041468)
[1039642.844]  -> wl_surface@22.frame(new id wl_callback@402)
[1039642.968]  -> zwp_linux_dmabuf_v1@26.create_params(new id zwp_linux_buffer_params_v1@488)
[1039643.145]  -> zwp_linux_buffer_params_v1@488.add(fd 73, 0, 0, 5504, 16777216, 2)
[1039643.306]  -> zwp_linux_buffer_params_v1@488.create_immed(new id wl_buffer@519, 1366, 768, 875713089, 0)
[1039643.454]  -> zwp_linux_buffer_params_v1@488.destroy()
[1039643.536]  -> wl_surface@22.attach(wl_buffer@519, 0, 0)
[1039643.628]  -> wl_surface@22.damage(0, 0, 2147483647, 2147483647)
[1039643.943]  -> wl_surface@22.commit()
[1039644.030]  -> wl_display@1.sync(new id wl_callback@499)
[1039670.091]  -> zkde_screencast_unstable_v1@242.stream_window(new id zkde_screencast_stream_unstable_v1@511, "{fdca79e6-3f0f-4f97-aa2d-0928e628ed57}", 1)
[1039750.603]  -> zkde_screencast_unstable_v1@242.stream_window(new id zkde_screencast_stream_unstable_v1@484, "{0e994e9c-d205-410a-8442-882be2f43ca6}", 1)
[1039838.923]  -> zkde_screencast_unstable_v1@242.stream_window(new id zkde_screencast_stream_unstable_v1@452, "{939312ba-c864-4a9d-9fbc-4e0e209da3ce}", 1)
stalker@neon-laptop:~/plasma-workspace/build$ [1039910.820]  -> zkde_screencast_unstable_v1@242.stream_window(new id zkde_screencast_stream_unstable_v1@474, "{bf2da9ef-e50b-4672-a063-2d07a8153f32}", 1)
[1039972.443]  -> zkde_screencast_unstable_v1@242.stream_window(new id zkde_screencast_stream_unstable_v1@485, "{c6b07391-e3f3-4118-9f10-5b64478de299}", 1)
[1040033.875]  -> zkde_screencast_unstable_v1@242.stream_window(new id zkde_screencast_stream_unstable_v1@518, "{14c143de-ccff-4cc0-aff4-63f9420294ba}", 1)
[1040085.127]  -> zkde_screencast_unstable_v1@242.stream_window(new id zkde_screencast_stream_unstable_v1@508, "{8ddd2262-4549-4956-8524-1a3ede10a93f}", 1)
[1040106.757]  -> zkde_screencast_unstable_v1@242.stream_window(new id zkde_screencast_stream_unstable_v1@532, "{fdca79e6-3f0f-4f97-aa2d-0928e628ed57}", 1)
[1040106.959]  -> zkde_screencast_unstable_v1@242.stream_window(new id zkde_screencast_stream_unstable_v1@529, "{0e994e9c-d205-410a-8442-882be2f43ca6}", 1)
[1040107.102]  -> zkde_screencast_unstable_v1@242.stream_window(new id zkde_screencast_stream_unstable_v1@514, "{939312ba-c864-4a9d-9fbc-4e0e209da3ce}", 1)
[1040107.248]  -> zkde_screencast_unstable_v1@242.stream_window(new id zkde_screencast_stream_unstable_v1@540, "{bf2da9ef-e50b-4672-a063-2d07a8153f32}", 1)
[1040107.403]  -> zkde_screencast_unstable_v1@242.stream_window(new id zkde_screencast_stream_unstable_v1@541, "{c6b07391-e3f3-4118-9f10-5b64478de299}", 1)
[1040107.543]  -> zkde_screencast_unstable_v1@242.stream_window(new id zkde_screencast_stream_unstable_v1@542, "{14c143de-ccff-4cc0-aff4-63f9420294ba}", 1)
[1040107.682]  -> zkde_screencast_unstable_v1@242.stream_window(new id zkde_screencast_stream_unstable_v1@543, "{8ddd2262-4549-4956-8524-1a3ede10a93f}", 1)
[1040107.882]  -> org_kde_kwin_blur_manager@36.create(new id org_kde_kwin_blur@544, wl_surface@64)
[1040108.018]  -> wl_compositor@4.create_region(new id wl_region@545)
[1040108.121]  -> wl_region@545.add(1, 0, 1364, 1)
[1040108.232]  -> wl_region@545.add(0, 1, 1366, 199)
[1040108.344]  -> wl_region@545.add(1, 200, 1364, 1)
[1040108.457]  -> org_kde_kwin_blur@544.set_region(wl_region@545)
[1040108.551]  -> org_kde_kwin_blur@544.commit()
[1040108.649]  -> org_kde_kwin_shadow@535.destroy()
[1040108.753]  -> org_kde_kwin_shadow_manager@93.create(new id org_kde_kwin_shadow@546, wl_surface@64)
[1040108.869]  -> org_kde_kwin_shadow@546.attach_left(wl_buffer@174)
[1040108.965]  -> org_kde_kwin_shadow@546.attach_top_left(wl_buffer@167)
[1040109.057]  -> org_kde_kwin_shadow@546.attach_top(wl_buffer@296)
[1040109.152]  -> org_kde_kwin_shadow@546.attach_top_right(wl_buffer@292)
[1040109.249]  -> org_kde_kwin_shadow@546.attach_right(wl_buffer@289)
[1040109.345]  -> org_kde_kwin_shadow@546.attach_bottom_right(wl_buffer@287)
[1040109.440]  -> org_kde_kwin_shadow@546.attach_bottom(wl_buffer@284)
[1040109.533]  -> org_kde_kwin_shadow@546.attach_bottom_left(wl_buffer@328)
[1040109.623]  -> org_kde_kwin_shadow@546.set_left_offset(10.000000)
[1040109.731]  -> org_kde_kwin_shadow@546.set_top_offset(10.000000)
[1040109.836]  -> org_kde_kwin_shadow@546.set_right_offset(10.000000)
[1040109.949]  -> org_kde_kwin_shadow@546.set_bottom_offset(10.000000)
[1040110.059]  -> org_kde_kwin_shadow@546.commit()
[1040110.342]  -> org_kde_kwin_blur_manager@36.create(new id org_kde_kwin_blur@547, wl_surface@64)
[1040110.484]  -> wl_compositor@4.create_region(new id wl_region@548)
[1040110.584]  -> wl_region@548.add(1, 0, 1364, 1)
[1040110.700]  -> wl_region@548.add(0, 1, 1366, 199)
[1040110.815]  -> wl_region@548.add(1, 200, 1364, 1)
[1040110.948]  -> org_kde_kwin_blur@547.set_region(wl_region@548)
[1040111.048]  -> org_kde_kwin_blur@547.commit()
[1040111.150]  -> org_kde_kwin_shadow@546.destroy()
[1040111.279]  -> org_kde_kwin_shadow_manager@93.create(new id org_kde_kwin_shadow@549, wl_surface@64)
[1040111.406]  -> org_kde_kwin_shadow@549.attach_left(wl_buffer@174)
[1040111.501]  -> org_kde_kwin_shadow@549.attach_top_left(wl_buffer@167)
[1040111.594]  -> org_kde_kwin_shadow@549.attach_top(wl_buffer@296)
[1040111.688]  -> org_kde_kwin_shadow@549.attach_top_right(wl_buffer@292)
[1040111.798]  -> org_kde_kwin_shadow@549.attach_right(wl_buffer@289)
[1040111.891]  -> org_kde_kwin_shadow@549.attach_bottom_right(wl_buffer@287)
[1040111.984]  -> org_kde_kwin_shadow@549.attach_bottom(wl_buffer@284)
[1040112.079]  -> org_kde_kwin_shadow@549.attach_bottom_left(wl_buffer@328)
[1040112.173]  -> org_kde_kwin_shadow@549.set_left_offset(10.000000)
[1040112.283]  -> org_kde_kwin_shadow@549.set_top_offset(10.000000)
[1040112.602]  -> org_kde_kwin_shadow@549.set_right_offset(10.000000)
[1040112.702]  -> org_kde_kwin_shadow@549.set_bottom_offset(10.000000)
[1040112.792]  -> org_kde_kwin_shadow@549.commit()
[1040113.461] wl_pointer@20.motion(16041466, 269.000000, 6.000000)
[1040113.649] wl_pointer@20.frame()
[1040113.739] wl_pointer@20.motion(16041479, 271.000000, 10.000000)
[1040113.928] wl_pointer@20.frame()
[1040114.032] wl_display@1.error(wl_display@1, 1, "invalid arguments for zwp_linux_buffer_params_v1@488.add")
wl_display@1: error 1: invalid arguments for zwp_linux_buffer_params_v1@488.add
Comment 12 Patrick Silva 2021-09-24 17:22:15 UTC
(In reply to Vlad Zahorodnii from comment #8)
> error creating screencast "Failed to create PipeWire stream"
> 
> is also interesting one. can you check whether
> https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/1079 fixes
> it?

Konsole output after Fabian's patch:

QFont::setPointSizeF: Point size <= 0 (0.000000), must be greater than 0
QFont::setPointSizeF: Point size <= 0 (0.000000), must be greater than 0
<Unknown File>: temperature0 is undefined. Adding an object with a undefined member does not create a role for it.
<Unknown File>: iconName0 is undefined. Adding an object with a undefined member does not create a role for it.
<Unknown File>: isPast0 is undefined. Adding an object with a undefined member does not create a role for it.
<Unknown File>: temperature1 is undefined. Adding an object with a undefined member does not create a role for it.
<Unknown File>: iconName1 is undefined. Adding an object with a undefined member does not create a role for it.
<Unknown File>: isPast1 is undefined. Adding an object with a undefined member does not create a role for it.
<Unknown File>: temperature2 is undefined. Adding an object with a undefined member does not create a role for it.
<Unknown File>: iconName2 is undefined. Adding an object with a undefined member does not create a role for it.
<Unknown File>: isPast2 is undefined. Adding an object with a undefined member does not create a role for it.
libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
Entry is not valid "kontact.desktop" QSharedPointer(0x5615c920b700)
Entry is not valid "ktp-contactlist.desktop" QSharedPointer(0x5615c920b750)
Entry is not valid "kontact.desktop" QSharedPointer(0x5615c920b750)
Entry is not valid "ktp-contactlist.desktop" QSharedPointer(0x5615c920b9f0)
trying to show an empty dialog
plasma_workspace_pipewire_logging: PipeWire remote error:  connection error
plasma_workspace_pipewire_logging: PipeWire remote error:  connection error
plasma_workspace_pipewire_logging: PipeWire remote error:  connection error
plasma_workspace_pipewire_logging: PipeWire remote error:  connection error
plasma_workspace_pipewire_logging: PipeWire remote error:  connection error
org.kde.kf5.kwindowsystem.kwayland: Failed to recreate shadow for ToolTipDialog(0x5615c8cf3af0)
kf.plasma.quick: Couldn't create KWindowShadow for ToolTipDialog(0x5615c8cf3af0)
kf.plasma.quick: Couldn't create KWindowShadow for ToolTipDialog(0x5615c8cf3af0)
kf.plasma.quick: Couldn't create KWindowShadow for ToolTipDialog(0x5615c8cf3af0)
kf.plasma.quick: Couldn't create KWindowShadow for ToolTipDialog(0x5615c8cf3af0)
kf.plasma.quick: Couldn't create KWindowShadow for ToolTipDialog(0x5615c8cf3af0)
kf.plasma.quick: Couldn't create KWindowShadow for ToolTipDialog(0x5615c8cf3af0)
error creating screencast "Failed to create PipeWire stream"
wl_display@1: error 1: invalid arguments for zwp_linux_buffer_params_v1@986.add
The Wayland connection experienced a fatal error: Invalid argument
Comment 13 Vlad Zahorodnii 2021-09-30 11:25:41 UTC
We've fixed recently a bug where kwin can run out of file descriptors. Are you still able to reproduce the crash? I'm not sure if kde neon ships kwayland-server with https://invent.kde.org/plasma/kwayland-server/-/merge_requests/299 though.
Comment 14 Patrick Silva 2021-09-30 12:06:34 UTC
(In reply to Vlad Zahorodnii from comment #13)
> We've fixed recently a bug where kwin can run out of file descriptors. Are
> you still able to reproduce the crash? I'm not sure if kde neon ships
> kwayland-server with
> https://invent.kde.org/plasma/kwayland-server/-/merge_requests/299 though.

I have just built kwin master on neon unstable, Plasma is still aborting.
Comment 15 Bug Janitor Service 2021-10-14 06:20:15 UTC
A possibly relevant merge request was started @ https://invent.kde.org/frameworks/plasma-framework/-/merge_requests/354
Comment 16 Vlad Zahorodnii 2021-10-14 06:21:07 UTC
Can you please verify whether ^ fixes the crash?
Comment 17 Aleix Pol 2021-10-14 10:46:39 UTC
Git commit f031fa430828fe2f009af13c74d42f21f260c4c5 by Aleix Pol Gonzalez, on behalf of Vlad Zahorodnii.
Committed on 14/10/2021 at 10:01.
Pushed by vladz into branch 'master'.

Split window texture provider from window texture node

Currently, the WindowThumbnail item puts both the texture provider and
the scene graph node in a single object.

It uses QPointer to detect if the scene graph node has been deleted.
However, that seems to break if QtQuick passes null oldNode while the
real old node is still alive.

Because the WindowThumbnail caches the old node, it may not see that
QtQuick wants a new scene graph node. With debug build, it's going to
trigger an assert in QQuickWindowPrivate::updateDirtyNode() that checks
if the paint node is either new or belongs to the child container node.
With a release build, it's undefined behavior.

In order to make the WindowThumbnail item handle the case where oldNode
is null while the cached old node is still alive, this change decouples
texture provider bits from the scene graph node and ports the item to
QSGImageNode, which we need to do anyway.

M  +52   -50   src/declarativeimports/core/windowthumbnail.cpp
M  +9    -14   src/declarativeimports/core/windowthumbnail.h

https://invent.kde.org/frameworks/plasma-framework/commit/f031fa430828fe2f009af13c74d42f21f260c4c5
Comment 18 Patrick Silva 2021-10-14 11:09:20 UTC
(In reply to Vlad Zahorodnii from comment #16)
> Can you please verify whether ^ fixes the crash?

I have just applied your patch to neon unstable. The crash persists.
Comment 19 Vlad Zahorodnii 2021-10-14 11:16:53 UTC
:( to be honest, I have no idea what might be wrong...

wl_display@1: error 1: invalid arguments for zwp_linux_buffer_params_v1@986.add

doesn't make any sense. I'll download neon unstable and try to reproduce the issue there.
Comment 20 Vlad Zahorodnii 2021-10-14 11:45:34 UTC
I managed to reproduce the bug, but in my case, the root cause is totally different

  Error sending request: Broken pipe
  The Wayland connection broke. Did the Wayland compositor die?

based on the log, it looks like plasmashell tries to send too many requests. Anyway, I think that the original bug is fixed. Can you please file a separate bug report about plasmashell crashing? (product: plasmashell)
Comment 21 Patrick Silva 2021-10-14 12:32:02 UTC
Weird. My neon unstable is still saying "The Wayland connection experienced a fatal error: Invalid argument".
Comment 23 guimarcalsilva 2022-01-29 01:27:22 UTC
*** Bug 449307 has been marked as a duplicate of this bug. ***
Comment 24 guimarcalsilva 2022-01-29 01:34:02 UTC
(In reply to guimarcalsilva from comment #23)
> *** Bug 449307 has been marked as a duplicate of this bug. ***

I managed to get a backtrace and used Dr. Konki to report the bug (please check the duplicate bug report I made for the backtrace). I'm still being affected by this bug on Neon Unstable with the latest updates as of Jan 28th 2022.

Just for the record, I only noticed this bug because I was testing this change to Plasma: https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/822

I don't know if the bug was fixed and reintroduced by it somehow or if it was never fixed and I only noticed it because I was messing with the taskbar thumbnails.

I'll be reopening this bug since it's still happening after this patch, which was supposed to fix it: https://invent.kde.org/frameworks/plasma-framework/-/merge_requests/354

ADDITIONAL INFO:

Operating System: KDE neon Unstable Edition
KDE Plasma Version: 5.24.80
KDE Frameworks Version: 5.91.0
Qt Version: 5.15.3
Kernel Version: 5.13.0-27-generic (64-bit)
Graphics Platform: Wayland
Processors: 6 × Intel® Core™ i5-9400F CPU @ 2.90GHz
Memory: 7,6 GiB of RAM
Graphics Processor: Radeon RX 570 Series
Comment 25 guimarcalsilva 2022-02-07 21:39:20 UTC
Seems to be fixed after updating Mesa version with Kisak's PPA.